/* DUPLICATOR MYSQL SCRIPT CREATED ON : August 20, 2013, 5:31 am */

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_QuoteRotator` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `quote` text,
  `author` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext NOT NULL,
  `comment_author_email` varchar(100) NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) NOT NULL DEFAULT '',
  `comment_type` varchar(20) NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_duplicator` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `token` varchar(25) NOT NULL,
  `packname` varchar(250) NOT NULL,
  `zipname` varchar(250) NOT NULL,
  `zipsize` int(11) DEFAULT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `settings` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) NOT NULL DEFAULT '',
  `link_name` varchar(255) NOT NULL DEFAULT '',
  `link_image` varchar(255) NOT NULL DEFAULT '',
  `link_target` varchar(25) NOT NULL DEFAULT '',
  `link_description` varchar(255) NOT NULL DEFAULT '',
  `link_visible` varchar(20) NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) NOT NULL DEFAULT '',
  `link_notes` mediumtext NOT NULL,
  `link_rss` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(64) NOT NULL DEFAULT '',
  `option_value` longtext NOT NULL,
  `autoload` varchar(20) NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`)
) ENGINE=InnoDB AUTO_INCREMENT=385 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=InnoDB AUTO_INCREMENT=583 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext NOT NULL,
  `post_title` text NOT NULL,
  `post_excerpt` text NOT NULL,
  `post_status` varchar(20) NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) NOT NULL DEFAULT 'open',
  `post_password` varchar(20) NOT NULL DEFAULT '',
  `post_name` varchar(200) NOT NULL DEFAULT '',
  `to_ping` text NOT NULL,
  `pinged` text NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=158 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL DEFAULT '',
  `slug` varchar(200) NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `slug` (`slug`),
  KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) NOT NULL DEFAULT '',
  `user_pass` varchar(64) NOT NULL DEFAULT '',
  `user_nicename` varchar(50) NOT NULL DEFAULT '',
  `user_email` varchar(100) NOT NULL DEFAULT '',
  `user_url` varchar(100) NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(60) NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


/* INSERT TABLE DATA: wp_QuoteRotator */
INSERT INTO `wp_QuoteRotator` VALUES("1", "\\\'If anything could be funnier it would be a world record!\\\'", "(Pupil, age 10)");
INSERT INTO `wp_QuoteRotator` VALUES("2", "\\\'In my 26 years of being a head teacher that was the best thing that I have EVER had visit my school!\\\'", "(Head teacher, Hayle, Cornwall)");
INSERT INTO `wp_QuoteRotator` VALUES("3", "\\\'Reviews don\\\'t do him justice - just go and see him!\\\'", "(The Stage Newspaper)");
INSERT INTO `wp_QuoteRotator` VALUES("4", "\\\'Marc has spoken to over a million children! He is unique, excellent and children remember his messages!\\\'", "(Ian Scale, Wales Senior Public Health Officer)");
INSERT INTO `wp_QuoteRotator` VALUES("5", "\\\'As good as any vent Ive ever seen!\\\' ", "(Amanda Holden, Britain\\\'s Got Talent)");
INSERT INTO `wp_QuoteRotator` VALUES("6", "\\\'I couldn\\\'t stop laughing! I was crying! The best show Ive ever seen!\\\'", "(Caerphilly)");
INSERT INTO `wp_QuoteRotator` VALUES("7", "\\\'Oh my goodness! The way you hold their attention! Incredible! You really are amazing!\\\'", "(Head KS1, Caerphilly)");
INSERT INTO `wp_QuoteRotator` VALUES("8", "\\\'That little girl hasn\\\'t spoken ALL YEAR, but in your show she spoke for the FIRST TIME!\\\'", "(St Mary\\\'s, Flintshire)");
INSERT INTO `wp_QuoteRotator` VALUES("9", "\\\'You are really excellent!\\\'", "(Dana, Eurovision song contest Winner)");
INSERT INTO `wp_QuoteRotator` VALUES("10", "\\\'You were very good. Funny!\\\'", "(Lord Carey, Ex Archbishop Canterbury)");

/* INSERT TABLE DATA: wp_comments */
INSERT INTO `wp_comments` VALUES("1", "1", "Mr WordPress", "", "http://wordpress.org/", "", "2013-08-03 19:38:10", "2013-08-03 19:38:10", "Hi, this is a comment.\nTo delete a comment, just log in and view the post&#039;s comments. There you will have the option to edit or delete them.", "0", "post-trashed", "", "", "0", "0");

/* INSERT TABLE DATA: wp_duplicator */
INSERT INTO `wp_duplicator` VALUES("2", "5205f986793083212", "20130810_marcgriffithsgetoutyourbox", "5205f986793083212_20130810_marcgriffithsgetoutyourbox_package.zip", "40941892", "2013-08-10 08:27:55", "GOYBAdmin", "a:4:{s:14:\"plugin_version\";s:5:\"0.4.6\";s:4:\"type\";s:6:\"Manual\";s:6:\"status\";s:4:\"Pass\";s:5:\"notes\";s:0:\"\";}");
INSERT INTO `wp_duplicator` VALUES("3", "5212ff44efc8d2744", "20130820_marcgriffithsgetoutyourbox", "5212ff44efc8d2744_20130820_marcgriffithsgetoutyourbox_package.zip", "0", "2013-08-20 05:31:48", "GOYBAdmin", "a:4:{s:14:\"plugin_version\";s:5:\"0.4.6\";s:4:\"type\";s:6:\"Manual\";s:6:\"status\";s:5:\"Error\";s:5:\"notes\";s:6:\"Launch\";}");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "http://goyb.raycreative.com", "yes");
INSERT INTO `wp_options` VALUES("2", "blogname", "Marc Griffiths - Get Out Your Box", "yes");
INSERT INTO `wp_options` VALUES("3", "blogdescription", "Just another WordPress site", "yes");
INSERT INTO `wp_options` VALUES("4", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("5", "admin_email", "david@raycreative.com", "yes");
INSERT INTO `wp_options` VALUES("6", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("7", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("8", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("9", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("12", "rss_use_excerpt", "1", "yes");
INSERT INTO `wp_options` VALUES("13", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("17", "default_category", "1", "yes");
INSERT INTO `wp_options` VALUES("18", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("19", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_pingback_flag", "0", "yes");
INSERT INTO `wp_options` VALUES("21", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("22", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("23", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("24", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_recently_updated_prepend", "<em>", "yes");
INSERT INTO `wp_options` VALUES("26", "links_recently_updated_append", "</em>", "yes");
INSERT INTO `wp_options` VALUES("27", "links_recently_updated_time", "120", "yes");
INSERT INTO `wp_options` VALUES("28", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("29", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("30", "permalink_structure", "/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("31", "gzipcompression", "0", "yes");
INSERT INTO `wp_options` VALUES("32", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("33", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("34", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("35", "active_plugins", "a:5:{i:0;s:49:\"automatic-youtube-video-posts/tern_wp_youtube.php\";i:1;s:25:\"duplicator/duplicator.php\";i:2;s:31:\"easy-fancybox/easy-fancybox.php\";i:3;s:43:\"flexi-quote-rotator/flexi-quote-rotator.php\";i:4;s:37:\"zilla-shortcodes/zilla-shortcodes.php\";}", "yes");
INSERT INTO `wp_options` VALUES("36", "home", "http://goyb.raycreative.com", "yes");
INSERT INTO `wp_options` VALUES("37", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("38", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("39", "advanced_edit", "0", "yes");
INSERT INTO `wp_options` VALUES("40", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("41", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("42", "default_email_category", "1", "yes");
INSERT INTO `wp_options` VALUES("43", "recently_edited", "a:3:{i:0;s:82:\"/chroot/home/raycreat/raycreative.com/html/goyb/wp-content/themes/sparks/index.php\";i:1;s:82:\"/chroot/home/raycreat/raycreative.com/html/goyb/wp-content/themes/sparks/style.css\";i:2;s:0:\"\";}", "no");
INSERT INTO `wp_options` VALUES("44", "template", "sparks", "yes");
INSERT INTO `wp_options` VALUES("45", "stylesheet", "sparks", "yes");
INSERT INTO `wp_options` VALUES("46", "comment_whitelist", "1", "yes");
INSERT INTO `wp_options` VALUES("47", "blacklist_keys", "", "no");
INSERT INTO `wp_options` VALUES("48", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("49", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("50", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("51", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("52", "db_version", "24448", "yes");
INSERT INTO `wp_options` VALUES("53", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("54", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("55", "blog_public", "0", "yes");
INSERT INTO `wp_options` VALUES("56", "default_link_category", "2", "yes");
INSERT INTO `wp_options` VALUES("57", "show_on_front", "page", "yes");
INSERT INTO `wp_options` VALUES("58", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("59", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("60", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("61", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("62", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("63", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("64", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("65", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("66", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("67", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("68", "large_size_w", "500", "yes");
INSERT INTO `wp_options` VALUES("69", "large_size_h", "500", "yes");
INSERT INTO `wp_options` VALUES("70", "image_default_link_type", "", "yes");
INSERT INTO `wp_options` VALUES("71", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("72", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("73", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("74", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("75", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("76", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("77", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("78", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("79", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("80", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("81", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("82", "widget_categories", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("83", "widget_text", "a:4:{i:2;a:3:{s:5:\"title\";s:13:\"GOLD RESOURCE\";s:4:\"text\";s:331:\"<a href=\"http://www.youtube.com/watch?v=4-l_wqmKRMI\"><img src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/Gold-Logo.png\" alt=\"GOLD RESOURCE - Award Winning\" /></a>\r\n<p>This national award winning gold project helps children understand themselves and others. <a href=\"http://goldinme.com\">Visit the GOLD website!</a></p>\";s:6:\"filter\";b:0;}i:3;a:3:{s:5:\"title\";s:16:\"Watch the promo!\";s:4:\"text\";s:256:\"<a href=\"http://www.youtube.com/watch?v=mzXD01FGLL0 \"><img src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/Promo-Picture.png\" alt=\"Promo Screnshot\" /></a>\r\n<p>Marc Griffiths - The World’s number 1 inspirational ventriloquist for children!</p>\";s:6:\"filter\";b:0;}i:4;a:3:{s:5:\"title\";s:13:\"Kevin\'s World\";s:4:\"text\";s:202:\"<a href=\"http://www.getoutyourbox.tv \"><img src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/BOYB-colum.png\" alt=\"GOYB Logo\" /></a>\r\n<p>Kevin the puppet\'s website for children to explore!</p>\";s:6:\"filter\";b:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("84", "widget_rss", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("85", "uninstall_plugins", "a:1:{s:25:\"duplicator/duplicator.php\";s:20:\"duplicator_uninstall\";}", "no");
INSERT INTO `wp_options` VALUES("86", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("87", "page_for_posts", "14", "yes");
INSERT INTO `wp_options` VALUES("88", "page_on_front", "5", "yes");
INSERT INTO `wp_options` VALUES("89", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("90", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("91", "initial_db_version", "24448", "yes");
INSERT INTO `wp_options` VALUES("92", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:62:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:9:\"add_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("93", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("94", "widget_recent-posts", "a:2:{i:2;a:3:{s:5:\"title\";s:17:\"Recent Vlog Posts\";s:6:\"number\";i:5;s:9:\"show_date\";b:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("95", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("96", "widget_archives", "a:2:{i:2;a:3:{s:5:\"title\";s:16:\"VPast Vlog Posts\";s:5:\"count\";i:1;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("97", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("98", "sidebars_widgets", "a:10:{s:19:\"wp_inactive_widgets\";a:0:{}s:12:\"sidebar-main\";a:2:{i:0;s:14:\"recent-posts-2\";i:1;s:10:\"archives-2\";}s:13:\"footer-column\";a:0:{}s:15:\"footer-column-2\";a:0:{}s:15:\"footer-column-3\";a:0:{}s:16:\"home-page-column\";a:1:{i:0;s:6:\"text-2\";}s:18:\"home-page-column-2\";a:1:{i:0;s:6:\"text-3\";}s:18:\"home-page-column-3\";a:1:{i:0;s:6:\"text-4\";}s:21:\"home-page-full-column\";a:1:{i:0;s:26:\"zilla-testimonial-widget-2\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("99", "cron", "a:4:{i:1376984294;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1377027602;a:1:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1377027697;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("108", "dashboard_widget_options", "a:4:{s:25:\"dashboard_recent_comments\";a:1:{s:5:\"items\";i:5;}s:24:\"dashboard_incoming_links\";a:5:{s:4:\"home\";s:27:\"http://goyb.raycreative.com\";s:4:\"link\";s:103:\"http://blogsearch.google.com/blogsearch?scoring=d&partner=wordpress&q=link:http://goyb.raycreative.com/\";s:3:\"url\";s:136:\"http://blogsearch.google.com/blogsearch_feeds?scoring=d&ie=utf-8&num=10&output=rss&partner=wordpress&q=link:http://goyb.raycreative.com/\";s:5:\"items\";i:10;s:9:\"show_date\";b:0;}s:17:\"dashboard_primary\";a:7:{s:4:\"link\";s:26:\"http://wordpress.org/news/\";s:3:\"url\";s:31:\"http://wordpress.org/news/feed/\";s:5:\"title\";s:14:\"WordPress Blog\";s:5:\"items\";i:2;s:12:\"show_summary\";i:1;s:11:\"show_author\";i:0;s:9:\"show_date\";i:1;}s:19:\"dashboard_secondary\";a:7:{s:4:\"link\";s:28:\"http://planet.wordpress.org/\";s:3:\"url\";s:33:\"http://planet.wordpress.org/feed/\";s:5:\"title\";s:20:\"Other WordPress News\";s:5:\"items\";i:5;s:12:\"show_summary\";i:0;s:11:\"show_author\";i:0;s:9:\"show_date\";i:0;}}", "yes");
INSERT INTO `wp_options` VALUES("109", "can_compress_scripts", "1", "yes");
INSERT INTO `wp_options` VALUES("144", "theme_mods_twentythirteen", "a:1:{s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1375558851;s:4:\"data\";a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("145", "current_theme", "Sparks", "yes");
INSERT INTO `wp_options` VALUES("146", "theme_mods_sparks", "a:2:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:12:\"primary-menu\";i:2;}}", "yes");
INSERT INTO `wp_options` VALUES("147", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("148", "zilla_framework_options", "a:4:{s:10:\"theme_name\";s:6:\"Sparks\";s:13:\"theme_version\";s:3:\"1.0\";s:17:\"framework_version\";s:7:\"1.0.2.6\";s:15:\"zilla_framework\";a:4:{i:5;a:1:{s:16:\"General Settings\";a:10:{s:11:\"description\";s:54:\"Control and configure the general setup of your theme.\";i:0;a:4:{s:5:\"title\";s:15:\"Plain Text Logo\";s:4:\"desc\";s:136:\"Check this box to enable a plain text logo rather than using the Custom Logo Upload. Your site name will be used as the plain text logo.\";s:4:\"type\";s:8:\"checkbox\";s:2:\"id\";s:17:\"general_text_logo\";}i:1;a:5:{s:5:\"title\";s:18:\"Custom Logo Upload\";s:4:\"desc\";s:34:\"Upload your logo for your website.\";s:4:\"type\";s:4:\"file\";s:2:\"id\";s:19:\"general_custom_logo\";s:3:\"val\";s:12:\"Upload Image\";}i:2;a:5:{s:5:\"title\";s:21:\"Custom Favicon Upload\";s:4:\"desc\";s:83:\"Upload a 16px x 16px .png or .gif image that will represent your website\'s favicon.\";s:4:\"type\";s:4:\"file\";s:2:\"id\";s:22:\"general_custom_favicon\";s:3:\"val\";s:12:\"Upload Image\";}i:3;a:4:{s:5:\"title\";s:23:\"Default Blog Page Title\";s:4:\"desc\";s:48:\"Please enter a default page title for your blog.\";s:4:\"type\";s:4:\"text\";s:2:\"id\";s:26:\"general_default_page_title\";}i:4;a:4:{s:5:\"title\";s:25:\"Default Blog Page Caption\";s:4:\"desc\";s:50:\"Please enter a default page caption for your blog.\";s:4:\"type\";s:4:\"text\";s:2:\"id\";s:28:\"general_default_page_caption\";}i:5;a:4:{s:5:\"title\";s:14:\"Portfolio Page\";s:4:\"desc\";s:34:\"Please select your portfolio page.\";s:4:\"type\";s:5:\"pages\";s:2:\"id\";s:22:\"general_portfolio_page\";}i:6;a:4:{s:5:\"title\";s:26:\"Contact Form Email Address\";s:4:\"desc\";s:116:\"Enter the email address where you\'d like to receive emails from the contact form, or leave blank to use admin email.\";s:4:\"type\";s:4:\"text\";s:2:\"id\";s:21:\"general_contact_email\";}i:7;a:4:{s:5:\"title\";s:14:\"FeedBurner URL\";s:4:\"desc\";s:172:\"Enter your full FeedBurner URL (or any other preferred feed URL) if you wish to use FeedBurner over the standard WordPress feed e.g. http://feeds.feedburner.com/yoururlhere\";s:4:\"type\";s:4:\"text\";s:2:\"id\";s:22:\"general_feedburner_url\";}i:8;a:4:{s:5:\"title\";s:13:\"Tracking Code\";s:4:\"desc\";s:191:\"Paste your Google Analytics (or other) tracking code here. It will be inserted before the closing body tag of your theme. You should enter Javascript code provided by your analytics provider.\";s:4:\"type\";s:8:\"textarea\";s:2:\"id\";s:21:\"general_tracking_code\";}}}i:12;a:1:{s:12:\"Home Options\";a:3:{s:11:\"description\";s:370:\"The home page is controlled via a number of areas within the admin. You can add content via the edit page view. Additionally, you can add widgets to the 3 home page columns and the full width column. Configure your featured portfolios carousel with the following options. Each portfolio to be featured must be selected as a featured portfolio in the edit portfolio view.\";i:0;a:6:{s:5:\"title\";s:29:\"Number of Featured Portfolios\";s:4:\"desc\";s:105:\"How many featured portfolios should be in the carousel. Select 0 if you do not want the carousel to show.\";s:4:\"type\";s:6:\"select\";s:2:\"id\";s:29:\"home_featured_portfolio_count\";s:7:\"options\";a:11:{i:0;i:0;i:1;i:1;i:2;i:2;i:3;i:3;i:4;i:4;i:5;i:5;i:6;i:6;i:7;i:7;i:8;i:8;i:9;i:9;i:10;i:10;}s:3:\"std\";i:0;}i:1;a:6:{s:5:\"title\";s:19:\"Order of Portfolios\";s:4:\"desc\";s:46:\"How should the featured portfolios be ordered?\";s:4:\"type\";s:6:\"select\";s:2:\"id\";s:29:\"home_featured_portfolio_order\";s:7:\"options\";a:3:{s:4:\"rand\";s:6:\"Random\";s:9:\"post_date\";s:4:\"Date\";s:10:\"menu_order\";s:10:\"Menu Order\";}s:3:\"std\";s:4:\"rand\";}}}i:13;a:1:{s:17:\"Portfolio Options\";a:4:{s:11:\"description\";s:67:\"The single portfolio page view is controlled via this options page.\";i:0;a:6:{s:5:\"title\";s:26:\"Display Related Portfolios\";s:4:\"desc\";s:74:\"Would you like to display related portfolios on the single portfolio view?\";s:4:\"type\";s:6:\"select\";s:2:\"id\";s:36:\"portfolio_display_related_portfolios\";s:7:\"options\";a:2:{s:4:\"true\";s:3:\"Yes\";s:5:\"false\";s:2:\"No\";}s:3:\"std\";s:4:\"true\";}i:1;a:5:{s:5:\"title\";s:24:\"Related Portfolios Title\";s:4:\"desc\";s:51:\"What should the title of the related portfolios be?\";s:4:\"type\";s:4:\"text\";s:2:\"id\";s:34:\"portfolio_related_portfolios_title\";s:3:\"std\";s:16:\"Similar Projects\";}i:2;a:6:{s:5:\"title\";s:28:\"Number of Related Portfolios\";s:4:\"desc\";s:48:\"How many related portfolios should be displayed.\";s:4:\"type\";s:6:\"select\";s:2:\"id\";s:34:\"portfolio_related_portfolios_count\";s:7:\"options\";a:4:{i:3;i:3;i:6;i:6;i:9;i:9;i:12;i:12;}s:3:\"std\";i:3;}}}i:10;a:1:{s:15:\"Styling Options\";a:4:{s:11:\"description\";s:114:\"Configure the visual appearance of you theme by choosing your overall layout and inserting any desired Custom CSS.\";i:0;a:6:{s:5:\"title\";s:11:\"Main Layout\";s:4:\"desc\";s:42:\"Select main content and sidebar alignment.\";s:4:\"type\";s:5:\"radio\";s:2:\"id\";s:17:\"style_main_layout\";s:3:\"val\";s:10:\"layout-2cr\";s:7:\"options\";a:2:{s:10:\"layout-2cr\";s:17:\"2 Columns (right)\";s:10:\"layout-2cl\";s:16:\"2 Columns (left)\";}}i:1;a:5:{s:5:\"title\";s:12:\"Accent Color\";s:4:\"desc\";s:29:\"Select a custom accent color.\";s:4:\"type\";s:5:\"color\";s:2:\"id\";s:18:\"style_accent_color\";s:3:\"val\";s:7:\"#f2664f\";}i:2;a:4:{s:5:\"title\";s:10:\"Custom CSS\";s:4:\"desc\";s:62:\"Quickly add some CSS to your theme by adding it to this block.\";s:4:\"type\";s:8:\"textarea\";s:2:\"id\";s:16:\"style_custom_css\";}}}}}", "yes");
INSERT INTO `wp_options` VALUES("149", "zilla_framework_values", "a:17:{s:19:\"general_custom_logo\";s:78:\"http://goyb.raycreative.com/wp-content/uploads/2013/08/suitcaselogofinal-1.png\";s:17:\"general_text_logo\";s:3:\"off\";s:26:\"general_default_page_title\";s:0:\"\";s:28:\"general_default_page_caption\";s:0:\"\";s:22:\"general_portfolio_page\";s:2:\"26\";s:21:\"general_contact_email\";s:22:\"info@getoutyourbox.com\";s:22:\"general_feedburner_url\";s:0:\"\";s:21:\"general_tracking_code\";s:0:\"\";s:17:\"style_main_layout\";s:10:\"layout-2cr\";s:18:\"style_accent_color\";s:7:\"#f67541\";s:16:\"style_custom_css\";s:793:\"#header {\r\n    padding-top: 1rem;\r\n}\r\n\r\n#primary-nav {\r\n    margin-bottom: 0;\r\n    margin-top: 3.75rem;\r\n}\r\n.home #content {\r\n    padding-top: 0;\r\n}\r\n\r\n.homepagequotes {\r\ntext-align: center;\r\n    width: 100%;\r\n    margin: 3.5em auto 0;\r\n    border-top: 4px solid #262624;\r\n    clear: both;\r\n    padding-bottom: 2.5rem;\r\n    padding-top: 4.5rem;\r\nmin-height: 140px;\r\n}\r\n\r\n.page-intro {\r\nmargin-bottom: 2rem;\r\npadding-bottom: 0rem;\r\npadding-top: 2rem;\r\n}\r\n\r\n.page-intro h1.page-title {\r\ncolor: #f67541;\r\n}\r\nhr {\r\nborder: none;\r\nborder-top: 4px solid #262624;\r\nmargin 1.5em;\r\n}\r\n#content {\r\npadding: 30px 0 0;\r\npadding: 1.5rem 0 0;\r\n}\r\n\r\n#quoterotator {\r\n    color: #F67541;\r\nfont-size: 1.5em;\r\n}\r\n\r\n.page-id-8 #primary {\r\n    position: relative;\r\n}\r\n\r\n#primary .post-thumb {\r\ndisplay: none;\r\n}\r\n\";s:29:\"home_featured_portfolio_count\";s:1:\"7\";s:29:\"home_featured_portfolio_order\";s:10:\"menu_order\";s:36:\"portfolio_display_related_portfolios\";s:5:\"false\";s:34:\"portfolio_related_portfolios_title\";s:5:\"false\";s:34:\"portfolio_related_portfolios_count\";s:1:\"3\";s:22:\"general_custom_favicon\";s:66:\"http://goyb.raycreative.com/wp-content/uploads/2013/08/favicon.png\";}", "yes");
INSERT INTO `wp_options` VALUES("153", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("160", "recently_activated", "a:2:{s:33:\"perfect-quotes/perfect_quotes.php\";i:1375566955;s:59:\"force-regenerate-thumbnails/force-regenerate-thumbnails.php\";i:1375566327;}", "yes");
INSERT INTO `wp_options` VALUES("169", "widget_zilla-testimonial-widget", "a:2:{i:2;a:11:{s:5:\"title\";s:0:\"\";s:6:\"quote1\";s:102:\"\'In my 26 years of being a head teacher that was the best thing that I have EVER had visit my school!\'\";s:7:\"source1\";s:24:\"(Head teacher, Cornwall)\";s:6:\"quote2\";s:0:\"\";s:7:\"source2\";s:0:\"\";s:6:\"quote3\";s:0:\"\";s:7:\"source3\";s:0:\"\";s:6:\"quote4\";s:0:\"\";s:7:\"source4\";s:0:\"\";s:6:\"quote5\";s:0:\"\";s:7:\"source5\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("211", "fancybox_enableImg", "1", "yes");
INSERT INTO `wp_options` VALUES("212", "fancybox_enableInline", "", "yes");
INSERT INTO `wp_options` VALUES("213", "fancybox_enablePDF", "", "yes");
INSERT INTO `wp_options` VALUES("214", "fancybox_enableSWF", "", "yes");
INSERT INTO `wp_options` VALUES("215", "fancybox_enableSVG", "", "yes");
INSERT INTO `wp_options` VALUES("216", "fancybox_enableYoutube", "1", "yes");
INSERT INTO `wp_options` VALUES("217", "fancybox_enableVimeo", "", "yes");
INSERT INTO `wp_options` VALUES("218", "fancybox_enableDailymotion", "", "yes");
INSERT INTO `wp_options` VALUES("219", "fancybox_enableiFrame", "", "yes");
INSERT INTO `wp_options` VALUES("220", "fancybox_attributeLimit", "", "yes");
INSERT INTO `wp_options` VALUES("221", "fancybox_autoClick", "1", "yes");
INSERT INTO `wp_options` VALUES("222", "fancybox_metaData", "", "yes");
INSERT INTO `wp_options` VALUES("223", "fancybox_overlayShow", "1", "yes");
INSERT INTO `wp_options` VALUES("224", "fancybox_hideOnOverlayClick", "1", "yes");
INSERT INTO `wp_options` VALUES("225", "fancybox_overlayOpacity", "", "yes");
INSERT INTO `wp_options` VALUES("226", "fancybox_overlayColor", "", "yes");
INSERT INTO `wp_options` VALUES("227", "fancybox_showCloseButton", "1", "yes");
INSERT INTO `wp_options` VALUES("228", "fancybox_backgroundColor", "#fff", "yes");
INSERT INTO `wp_options` VALUES("229", "fancybox_paddingColor", "#fff", "yes");
INSERT INTO `wp_options` VALUES("230", "fancybox_textColor", "inherit", "yes");
INSERT INTO `wp_options` VALUES("231", "fancybox_frameOpacity", "1.0", "yes");
INSERT INTO `wp_options` VALUES("232", "fancybox_borderRadius", "", "yes");
INSERT INTO `wp_options` VALUES("233", "fancybox_width", "", "yes");
INSERT INTO `wp_options` VALUES("234", "fancybox_height", "", "yes");
INSERT INTO `wp_options` VALUES("235", "fancybox_padding", "", "yes");
INSERT INTO `wp_options` VALUES("236", "fancybox_centerOnScroll", "1", "yes");
INSERT INTO `wp_options` VALUES("237", "fancybox_enableEscapeButton", "1", "yes");
INSERT INTO `wp_options` VALUES("238", "fancybox_autoScale", "1", "yes");
INSERT INTO `wp_options` VALUES("239", "fancybox_speedIn", "", "yes");
INSERT INTO `wp_options` VALUES("240", "fancybox_speedOut", "", "yes");
INSERT INTO `wp_options` VALUES("241", "fancybox_autoAttribute", ".jpg .jpeg .png", "yes");
INSERT INTO `wp_options` VALUES("242", "fancybox_autoAttributeLimit", "", "yes");
INSERT INTO `wp_options` VALUES("243", "fancybox_transitionIn", "elastic", "yes");
INSERT INTO `wp_options` VALUES("244", "fancybox_easingIn", "easeOutBack", "yes");
INSERT INTO `wp_options` VALUES("245", "fancybox_transitionOut", "elastic", "yes");
INSERT INTO `wp_options` VALUES("246", "fancybox_easingOut", "easeInBack", "yes");
INSERT INTO `wp_options` VALUES("247", "fancybox_opacity", "", "yes");
INSERT INTO `wp_options` VALUES("248", "fancybox_hideOnContentClick", "", "yes");
INSERT INTO `wp_options` VALUES("249", "fancybox_titleShow", "1", "yes");
INSERT INTO `wp_options` VALUES("250", "fancybox_titlePosition", "over", "yes");
INSERT INTO `wp_options` VALUES("251", "fancybox_titleFromAlt", "1", "yes");
INSERT INTO `wp_options` VALUES("252", "fancybox_autoGallery", "1", "yes");
INSERT INTO `wp_options` VALUES("253", "fancybox_showNavArrows", "1", "yes");
INSERT INTO `wp_options` VALUES("254", "fancybox_enableKeyboardNav", "1", "yes");
INSERT INTO `wp_options` VALUES("255", "fancybox_mouseWheel", "", "yes");
INSERT INTO `wp_options` VALUES("256", "fancybox_cyclic", "", "yes");
INSERT INTO `wp_options` VALUES("257", "fancybox_changeSpeed", "", "yes");
INSERT INTO `wp_options` VALUES("258", "fancybox_changeFade", "", "yes");
INSERT INTO `wp_options` VALUES("259", "fancybox_autoSelector", "div.gallery", "yes");
INSERT INTO `wp_options` VALUES("266", "duplicator_pack_passcount", "1", "yes");
INSERT INTO `wp_options` VALUES("267", "duplicator_add1_passcount", "1", "yes");
INSERT INTO `wp_options` VALUES("268", "duplicator_add1_clicked", "0", "yes");
INSERT INTO `wp_options` VALUES("274", "duplicator_settings", "a:4:{s:7:\"version\";s:5:\"0.4.6\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:16:\"uninstall_tables\";b:1;}", "yes");
INSERT INTO `wp_options` VALUES("275", "duplicator_version_plugin", "0.4.6", "yes");
INSERT INTO `wp_options` VALUES("276", "duplicator_options", "s:217:\"a:9:{s:6:\"dbhost\";s:9:\"localhost\";s:6:\"dbname\";s:0:\"\";s:6:\"dbuser\";s:0:\"\";s:7:\"url_new\";s:0:\"\";s:8:\"email-me\";s:1:\"0\";s:12:\"email_others\";s:0:\"\";s:10:\"dir_bypass\";s:0:\"\";s:9:\"log_level\";s:1:\"0\";s:8:\"skip_ext\";s:0:\"\";}\";", "yes");
INSERT INTO `wp_options` VALUES("279", "_site_transient_update_core", "O:8:\"stdClass\":3:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":9:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:38:\"http://wordpress.org/wordpress-3.6.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":4:{s:4:\"full\";s:38:\"http://wordpress.org/wordpress-3.6.zip\";s:10:\"no_content\";s:49:\"http://wordpress.org/wordpress-3.6-no-content.zip\";s:11:\"new_bundled\";s:50:\"http://wordpress.org/wordpress-3.6-new-bundled.zip\";s:7:\"partial\";b:0;}s:7:\"current\";s:3:\"3.6\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"3.6\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1376975213;s:15:\"version_checked\";s:3:\"3.6\";}", "yes");
INSERT INTO `wp_options` VALUES("283", "_site_transient_update_themes", "O:8:\"stdClass\":3:{s:12:\"last_checked\";i:1376975214;s:7:\"checked\";a:2:{s:6:\"sparks\";s:3:\"1.0\";s:14:\"twentythirteen\";s:3:\"1.0\";}s:8:\"response\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("285", "rewrite_rules", "a:89:{s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:37:\"portfolio/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:47:\"portfolio/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:67:\"portfolio/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"portfolio/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"portfolio/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:30:\"portfolio/([^/]+)/trackback/?$\";s:36:\"index.php?portfolio=$matches[1]&tb=1\";s:50:\"portfolio/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:48:\"index.php?portfolio=$matches[1]&feed=$matches[2]\";s:45:\"portfolio/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:48:\"index.php?portfolio=$matches[1]&feed=$matches[2]\";s:38:\"portfolio/([^/]+)/page/?([0-9]{1,})/?$\";s:49:\"index.php?portfolio=$matches[1]&paged=$matches[2]\";s:45:\"portfolio/([^/]+)/comment-page-([0-9]{1,})/?$\";s:49:\"index.php?portfolio=$matches[1]&cpage=$matches[2]\";s:30:\"portfolio/([^/]+)(/[0-9]+)?/?$\";s:48:\"index.php?portfolio=$matches[1]&page=$matches[2]\";s:26:\"portfolio/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:36:\"portfolio/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:56:\"portfolio/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:51:\"portfolio/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:51:\"portfolio/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:53:\"portfolio-type/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:53:\"index.php?portfolio-type=$matches[1]&feed=$matches[2]\";s:48:\"portfolio-type/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:53:\"index.php?portfolio-type=$matches[1]&feed=$matches[2]\";s:41:\"portfolio-type/(.+?)/page/?([0-9]{1,})/?$\";s:54:\"index.php?portfolio-type=$matches[1]&paged=$matches[2]\";s:23:\"portfolio-type/(.+?)/?$\";s:36:\"index.php?portfolio-type=$matches[1]\";s:12:\"robots\\.txt$\";s:18:\"index.php?robots=1\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:38:\"index.php?&page_id=5&cpage=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:20:\"(.?.+?)(/[0-9]+)?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:27:\"[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\"[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\"[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:20:\"([^/]+)/trackback/?$\";s:31:\"index.php?name=$matches[1]&tb=1\";s:40:\"([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:35:\"([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:28:\"([^/]+)/page/?([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&paged=$matches[2]\";s:35:\"([^/]+)/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&cpage=$matches[2]\";s:20:\"([^/]+)(/[0-9]+)?/?$\";s:43:\"index.php?name=$matches[1]&page=$matches[2]\";s:16:\"[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:26:\"[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:46:\"[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";}", "yes");
INSERT INTO `wp_options` VALUES("286", "_transient_timeout_plugin_slugs", "1376242175", "no");
INSERT INTO `wp_options` VALUES("287", "_transient_plugin_slugs", "a:7:{i:0;s:19:\"akismet/akismet.php\";i:1;s:49:\"automatic-youtube-video-posts/tern_wp_youtube.php\";i:2;s:25:\"duplicator/duplicator.php\";i:3;s:31:\"easy-fancybox/easy-fancybox.php\";i:4;s:43:\"flexi-quote-rotator/flexi-quote-rotator.php\";i:5;s:9:\"hello.php\";i:6;s:37:\"zilla-shortcodes/zilla-shortcodes.php\";}", "no");
INSERT INTO `wp_options` VALUES("289", "_transient_plugins_delete_result_1", "1", "yes");
INSERT INTO `wp_options` VALUES("293", "widgetQuoteRotator", "a:6:{s:5:\"title\";s:13:\"Quote Rotator\";s:5:\"delay\";i:5;s:4:\"fade\";i:2;s:8:\"fontsize\";i:12;s:8:\"fontunit\";s:2:\"px\";s:7:\"version\";s:3:\"0.1\";}", "yes");
INSERT INTO `wp_options` VALUES("294", "fqr_title", "", "yes");
INSERT INTO `wp_options` VALUES("295", "fqr_delay", "", "yes");
INSERT INTO `wp_options` VALUES("296", "fqr_fade", "", "yes");
INSERT INTO `wp_options` VALUES("297", "fqr_fadeout", "", "yes");
INSERT INTO `wp_options` VALUES("298", "fqr_height", "", "yes");
INSERT INTO `wp_options` VALUES("299", "fqr_width", "", "yes");
INSERT INTO `wp_options` VALUES("300", "fqr_random", "0", "yes");
INSERT INTO `wp_options` VALUES("301", "fqr_stylesheet", "none", "yes");
INSERT INTO `wp_options` VALUES("302", "fqr_openquote", "", "yes");
INSERT INTO `wp_options` VALUES("303", "fqr_closequote", "", "yes");
INSERT INTO `wp_options` VALUES("306", "_site_transient_timeout_browser_fed0b5cf0dbbcab3431bf3bb8fe88349", "1376725230", "yes");
INSERT INTO `wp_options` VALUES("307", "_site_transient_browser_fed0b5cf0dbbcab3431bf3bb8fe88349", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:7:\"Firefox\";s:7:\"version\";s:4:\"22.0\";s:10:\"update_url\";s:23:\"http://www.firefox.com/\";s:7:\"img_src\";s:50:\"http://s.wordpress.org/images/browsers/firefox.png\";s:11:\"img_src_ssl\";s:49:\"https://wordpress.org/images/browsers/firefox.png\";s:15:\"current_version\";s:2:\"16\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("309", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("315", "_transient_random_seed", "9bc402a05903236434b8208d2c98c583", "yes");
INSERT INTO `wp_options` VALUES("318", "_site_transient_timeout_browser_539c9da9334b43fbacc5ea717b084fd9", "1376756183", "yes");
INSERT INTO `wp_options` VALUES("319", "_site_transient_browser_539c9da9334b43fbacc5ea717b084fd9", "a:9:{s:8:\"platform\";s:9:\"Macintosh\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:12:\"28.0.1500.95\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("320", "portfolio-type_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("323", "_site_transient_timeout_poptags_40cd750bba9870f18aada2478b24840a", "1376166514", "yes");
INSERT INTO `wp_options` VALUES("324", "_site_transient_poptags_40cd750bba9870f18aada2478b24840a", "a:40:{s:6:\"widget\";a:3:{s:4:\"name\";s:6:\"widget\";s:4:\"slug\";s:6:\"widget\";s:5:\"count\";s:4:\"3898\";}s:4:\"post\";a:3:{s:4:\"name\";s:4:\"Post\";s:4:\"slug\";s:4:\"post\";s:5:\"count\";s:4:\"2456\";}s:6:\"plugin\";a:3:{s:4:\"name\";s:6:\"plugin\";s:4:\"slug\";s:6:\"plugin\";s:5:\"count\";s:4:\"2344\";}s:5:\"admin\";a:3:{s:4:\"name\";s:5:\"admin\";s:4:\"slug\";s:5:\"admin\";s:5:\"count\";s:4:\"1930\";}s:5:\"posts\";a:3:{s:4:\"name\";s:5:\"posts\";s:4:\"slug\";s:5:\"posts\";s:5:\"count\";s:4:\"1856\";}s:7:\"sidebar\";a:3:{s:4:\"name\";s:7:\"sidebar\";s:4:\"slug\";s:7:\"sidebar\";s:5:\"count\";s:4:\"1583\";}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"twitter\";s:4:\"slug\";s:7:\"twitter\";s:5:\"count\";s:4:\"1329\";}s:6:\"google\";a:3:{s:4:\"name\";s:6:\"google\";s:4:\"slug\";s:6:\"google\";s:5:\"count\";s:4:\"1325\";}s:8:\"comments\";a:3:{s:4:\"name\";s:8:\"comments\";s:4:\"slug\";s:8:\"comments\";s:5:\"count\";s:4:\"1310\";}s:6:\"images\";a:3:{s:4:\"name\";s:6:\"images\";s:4:\"slug\";s:6:\"images\";s:5:\"count\";s:4:\"1260\";}s:4:\"page\";a:3:{s:4:\"name\";s:4:\"page\";s:4:\"slug\";s:4:\"page\";s:5:\"count\";s:4:\"1225\";}s:5:\"image\";a:3:{s:4:\"name\";s:5:\"image\";s:4:\"slug\";s:5:\"image\";s:5:\"count\";s:4:\"1121\";}s:9:\"shortcode\";a:3:{s:4:\"name\";s:9:\"shortcode\";s:4:\"slug\";s:9:\"shortcode\";s:5:\"count\";s:4:\"1000\";}s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"Facebook\";s:4:\"slug\";s:8:\"facebook\";s:5:\"count\";s:3:\"982\";}s:5:\"links\";a:3:{s:4:\"name\";s:5:\"links\";s:4:\"slug\";s:5:\"links\";s:5:\"count\";s:3:\"974\";}s:3:\"seo\";a:3:{s:4:\"name\";s:3:\"seo\";s:4:\"slug\";s:3:\"seo\";s:5:\"count\";s:3:\"950\";}s:9:\"wordpress\";a:3:{s:4:\"name\";s:9:\"wordpress\";s:4:\"slug\";s:9:\"wordpress\";s:5:\"count\";s:3:\"844\";}s:7:\"gallery\";a:3:{s:4:\"name\";s:7:\"gallery\";s:4:\"slug\";s:7:\"gallery\";s:5:\"count\";s:3:\"821\";}s:6:\"social\";a:3:{s:4:\"name\";s:6:\"social\";s:4:\"slug\";s:6:\"social\";s:5:\"count\";s:3:\"780\";}s:3:\"rss\";a:3:{s:4:\"name\";s:3:\"rss\";s:4:\"slug\";s:3:\"rss\";s:5:\"count\";s:3:\"722\";}s:7:\"widgets\";a:3:{s:4:\"name\";s:7:\"widgets\";s:4:\"slug\";s:7:\"widgets\";s:5:\"count\";s:3:\"686\";}s:6:\"jquery\";a:3:{s:4:\"name\";s:6:\"jquery\";s:4:\"slug\";s:6:\"jquery\";s:5:\"count\";s:3:\"681\";}s:5:\"pages\";a:3:{s:4:\"name\";s:5:\"pages\";s:4:\"slug\";s:5:\"pages\";s:5:\"count\";s:3:\"678\";}s:5:\"email\";a:3:{s:4:\"name\";s:5:\"email\";s:4:\"slug\";s:5:\"email\";s:5:\"count\";s:3:\"623\";}s:4:\"ajax\";a:3:{s:4:\"name\";s:4:\"AJAX\";s:4:\"slug\";s:4:\"ajax\";s:5:\"count\";s:3:\"615\";}s:5:\"media\";a:3:{s:4:\"name\";s:5:\"media\";s:4:\"slug\";s:5:\"media\";s:5:\"count\";s:3:\"595\";}s:10:\"javascript\";a:3:{s:4:\"name\";s:10:\"javascript\";s:4:\"slug\";s:10:\"javascript\";s:5:\"count\";s:3:\"572\";}s:5:\"video\";a:3:{s:4:\"name\";s:5:\"video\";s:4:\"slug\";s:5:\"video\";s:5:\"count\";s:3:\"570\";}s:10:\"buddypress\";a:3:{s:4:\"name\";s:10:\"buddypress\";s:4:\"slug\";s:10:\"buddypress\";s:5:\"count\";s:3:\"541\";}s:4:\"feed\";a:3:{s:4:\"name\";s:4:\"feed\";s:4:\"slug\";s:4:\"feed\";s:5:\"count\";s:3:\"539\";}s:7:\"content\";a:3:{s:4:\"name\";s:7:\"content\";s:4:\"slug\";s:7:\"content\";s:5:\"count\";s:3:\"530\";}s:5:\"photo\";a:3:{s:4:\"name\";s:5:\"photo\";s:4:\"slug\";s:5:\"photo\";s:5:\"count\";s:3:\"522\";}s:4:\"link\";a:3:{s:4:\"name\";s:4:\"link\";s:4:\"slug\";s:4:\"link\";s:5:\"count\";s:3:\"506\";}s:6:\"photos\";a:3:{s:4:\"name\";s:6:\"photos\";s:4:\"slug\";s:6:\"photos\";s:5:\"count\";s:3:\"505\";}s:5:\"login\";a:3:{s:4:\"name\";s:5:\"login\";s:4:\"slug\";s:5:\"login\";s:5:\"count\";s:3:\"471\";}s:4:\"spam\";a:3:{s:4:\"name\";s:4:\"spam\";s:4:\"slug\";s:4:\"spam\";s:5:\"count\";s:3:\"458\";}s:5:\"stats\";a:3:{s:4:\"name\";s:5:\"stats\";s:4:\"slug\";s:5:\"stats\";s:5:\"count\";s:3:\"453\";}s:8:\"category\";a:3:{s:4:\"name\";s:8:\"category\";s:4:\"slug\";s:8:\"category\";s:5:\"count\";s:3:\"452\";}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"youtube\";s:4:\"slug\";s:7:\"youtube\";s:5:\"count\";s:3:\"436\";}s:7:\"comment\";a:3:{s:4:\"name\";s:7:\"comment\";s:4:\"slug\";s:7:\"comment\";s:5:\"count\";s:3:\"432\";}}", "yes");
INSERT INTO `wp_options` VALUES("327", "_site_transient_update_plugins", "O:8:\"stdClass\":2:{s:12:\"last_checked\";i:1376975214;s:8:\"response\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("328", "tern_wp_youtube", "a:15:{s:7:\"publish\";i:1;s:12:\"display_meta\";i:0;s:5:\"words\";i:20;s:4:\"dims\";a:2:{i:0;s:3:\"506\";i:1;s:3:\"304\";}s:7:\"related\";i:0;s:6:\"inlist\";i:1;s:4:\"cron\";i:6;s:4:\"user\";s:0:\"\";s:8:\"channels\";a:1:{i:1;a:6:{s:2:\"id\";i:1;s:4:\"name\";s:4:\"GOYB\";s:7:\"channel\";s:34:\"PL5R54OFt_qxE65Vnkz6cKTEJ3w_mK5Jyu\";s:4:\"type\";s:8:\"playlist\";s:10:\"categories\";a:1:{i:0;s:1:\"1\";}s:6:\"author\";s:1:\"1\";}}s:3:\"rss\";i:0;s:5:\"limit\";i:4;s:5:\"pages\";i:0;s:11:\"last_import\";i:1376975214;s:12:\"is_importing\";b:0;s:7:\"version\";i:206;}", "yes");
INSERT INTO `wp_options` VALUES("379", "_site_transient_timeout_theme_roots", "1376977014", "yes");
INSERT INTO `wp_options` VALUES("380", "_site_transient_theme_roots", "a:2:{s:6:\"sparks\";s:7:\"/themes\";s:14:\"twentythirteen\";s:7:\"/themes\";}", "yes");
INSERT INTO `wp_options` VALUES("381", "_transient_timeout_zilla_latest_theme_version_sparks", "1376978892", "no");
INSERT INTO `wp_options` VALUES("382", "_transient_zilla_latest_theme_version_sparks", "<!--?xml version=\"1.0\" encoding=\"UTF-8\"?-->\n<root>\n	<latest>1.0</latest>\n	<changelog><![CDATA[\n		<h4><strong>29 Jul 2013</strong> - Version 1.0</h4>\n		<ol>\n			<li>Initial Release.</li>\n		</ol>\n	]]></changelog>\n</root>", "no");
INSERT INTO `wp_options` VALUES("383", "_site_transient_timeout_browser_27148f6f2bcb830897e8114862fabe25", "1377580093", "yes");
INSERT INTO `wp_options` VALUES("384", "_site_transient_browser_27148f6f2bcb830897e8114862fabe25", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:7:\"Firefox\";s:7:\"version\";s:4:\"23.0\";s:10:\"update_url\";s:23:\"http://www.firefox.com/\";s:7:\"img_src\";s:50:\"http://s.wordpress.org/images/browsers/firefox.png\";s:11:\"img_src_ssl\";s:49:\"https://wordpress.org/images/browsers/firefox.png\";s:15:\"current_version\";s:2:\"16\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2", "2", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("3", "2", "_wp_trash_meta_time", "1375558894");
INSERT INTO `wp_postmeta` VALUES("4", "5", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("5", "5", "_edit_lock", "1376156719:1");
INSERT INTO `wp_postmeta` VALUES("6", "5", "_wp_page_template", "template-home.php");
INSERT INTO `wp_postmeta` VALUES("7", "5", "_zilla_page_caption", "");
INSERT INTO `wp_postmeta` VALUES("8", "5", "_zilla_seo_title", "");
INSERT INTO `wp_postmeta` VALUES("9", "5", "_zilla_seo_description", "");
INSERT INTO `wp_postmeta` VALUES("10", "5", "_zilla_seo_keywords", "");
INSERT INTO `wp_postmeta` VALUES("11", "5", "_zilla_seo_robots_index", "0");
INSERT INTO `wp_postmeta` VALUES("12", "5", "_zilla_seo_robots_follow", "0");
INSERT INTO `wp_postmeta` VALUES("13", "8", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("14", "8", "_edit_lock", "1376975929:1");
INSERT INTO `wp_postmeta` VALUES("15", "8", "_wp_page_template", "template-full-width.php");
INSERT INTO `wp_postmeta` VALUES("16", "8", "_zilla_page_caption", "");
INSERT INTO `wp_postmeta` VALUES("17", "8", "_zilla_seo_title", "");
INSERT INTO `wp_postmeta` VALUES("18", "8", "_zilla_seo_description", "");
INSERT INTO `wp_postmeta` VALUES("19", "8", "_zilla_seo_keywords", "");
INSERT INTO `wp_postmeta` VALUES("20", "8", "_zilla_seo_robots_index", "0");
INSERT INTO `wp_postmeta` VALUES("21", "8", "_zilla_seo_robots_follow", "0");
INSERT INTO `wp_postmeta` VALUES("22", "10", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("23", "10", "_edit_lock", "1376976487:1");
INSERT INTO `wp_postmeta` VALUES("24", "10", "_wp_page_template", "template-full-width.php");
INSERT INTO `wp_postmeta` VALUES("25", "10", "_zilla_page_caption", "");
INSERT INTO `wp_postmeta` VALUES("26", "10", "_zilla_seo_title", "");
INSERT INTO `wp_postmeta` VALUES("27", "10", "_zilla_seo_description", "");
INSERT INTO `wp_postmeta` VALUES("28", "10", "_zilla_seo_keywords", "");
INSERT INTO `wp_postmeta` VALUES("29", "10", "_zilla_seo_robots_index", "0");
INSERT INTO `wp_postmeta` VALUES("30", "10", "_zilla_seo_robots_follow", "0");
INSERT INTO `wp_postmeta` VALUES("31", "12", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("32", "12", "_edit_lock", "1376155401:1");
INSERT INTO `wp_postmeta` VALUES("33", "12", "_wp_page_template", "template-full-width.php");
INSERT INTO `wp_postmeta` VALUES("34", "12", "_zilla_page_caption", "");
INSERT INTO `wp_postmeta` VALUES("35", "12", "_zilla_seo_title", "");
INSERT INTO `wp_postmeta` VALUES("36", "12", "_zilla_seo_description", "");
INSERT INTO `wp_postmeta` VALUES("37", "12", "_zilla_seo_keywords", "");
INSERT INTO `wp_postmeta` VALUES("38", "12", "_zilla_seo_robots_index", "0");
INSERT INTO `wp_postmeta` VALUES("39", "12", "_zilla_seo_robots_follow", "0");
INSERT INTO `wp_postmeta` VALUES("40", "14", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("41", "14", "_edit_lock", "1376159124:1");
INSERT INTO `wp_postmeta` VALUES("42", "14", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("43", "14", "_zilla_page_caption", "");
INSERT INTO `wp_postmeta` VALUES("44", "14", "_zilla_seo_title", "");
INSERT INTO `wp_postmeta` VALUES("45", "14", "_zilla_seo_description", "");
INSERT INTO `wp_postmeta` VALUES("46", "14", "_zilla_seo_keywords", "");
INSERT INTO `wp_postmeta` VALUES("47", "14", "_zilla_seo_robots_index", "0");
INSERT INTO `wp_postmeta` VALUES("48", "14", "_zilla_seo_robots_follow", "0");
INSERT INTO `wp_postmeta` VALUES("49", "16", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("50", "16", "_edit_lock", "1376122522:1");
INSERT INTO `wp_postmeta` VALUES("51", "16", "_wp_page_template", "template-contact.php");
INSERT INTO `wp_postmeta` VALUES("52", "16", "_zilla_page_caption", "");
INSERT INTO `wp_postmeta` VALUES("53", "16", "_zilla_seo_title", "");
INSERT INTO `wp_postmeta` VALUES("54", "16", "_zilla_seo_description", "");
INSERT INTO `wp_postmeta` VALUES("55", "16", "_zilla_seo_keywords", "");
INSERT INTO `wp_postmeta` VALUES("56", "16", "_zilla_seo_robots_index", "0");
INSERT INTO `wp_postmeta` VALUES("57", "16", "_zilla_seo_robots_follow", "0");
INSERT INTO `wp_postmeta` VALUES("67", "19", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("68", "19", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("69", "19", "_menu_item_object_id", "16");
INSERT INTO `wp_postmeta` VALUES("70", "19", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("71", "19", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("72", "19", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("73", "19", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("74", "19", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("76", "20", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("77", "20", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("78", "20", "_menu_item_object_id", "5");
INSERT INTO `wp_postmeta` VALUES("79", "20", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("80", "20", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("81", "20", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("82", "20", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("83", "20", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("85", "21", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("86", "21", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("87", "21", "_menu_item_object_id", "10");
INSERT INTO `wp_postmeta` VALUES("88", "21", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("89", "21", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("90", "21", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("91", "21", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("92", "21", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("94", "22", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("95", "22", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("96", "22", "_menu_item_object_id", "12");
INSERT INTO `wp_postmeta` VALUES("97", "22", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("98", "22", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("99", "22", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("100", "22", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("101", "22", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("103", "23", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("104", "23", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("105", "23", "_menu_item_object_id", "14");
INSERT INTO `wp_postmeta` VALUES("106", "23", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("107", "23", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("108", "23", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("109", "23", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("110", "23", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("112", "24", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("113", "24", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("114", "24", "_menu_item_object_id", "8");
INSERT INTO `wp_postmeta` VALUES("115", "24", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("116", "24", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("117", "24", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("118", "24", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("119", "24", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("121", "25", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("122", "25", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("123", "25", "_menu_item_object_id", "25");
INSERT INTO `wp_postmeta` VALUES("124", "25", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("125", "25", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("126", "25", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("127", "25", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("128", "25", "_menu_item_url", "http://goldinme.com/shop/");
INSERT INTO `wp_postmeta` VALUES("130", "26", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("131", "26", "_edit_lock", "1376159088:1");
INSERT INTO `wp_postmeta` VALUES("132", "26", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("133", "26", "_zilla_page_caption", "");
INSERT INTO `wp_postmeta` VALUES("134", "26", "_zilla_seo_title", "");
INSERT INTO `wp_postmeta` VALUES("135", "26", "_zilla_seo_description", "");
INSERT INTO `wp_postmeta` VALUES("136", "26", "_zilla_seo_keywords", "");
INSERT INTO `wp_postmeta` VALUES("137", "26", "_zilla_seo_robots_index", "0");
INSERT INTO `wp_postmeta` VALUES("138", "26", "_zilla_seo_robots_follow", "0");
INSERT INTO `wp_postmeta` VALUES("154", "28", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("155", "28", "_zilla_portfolio_caption", "");
INSERT INTO `wp_postmeta` VALUES("156", "28", "_zilla_portfolio_date", "");
INSERT INTO `wp_postmeta` VALUES("157", "28", "_zilla_portfolio_client", "");
INSERT INTO `wp_postmeta` VALUES("158", "28", "_zilla_portfolio_url", "");
INSERT INTO `wp_postmeta` VALUES("159", "28", "_zilla_portfolio_featured", "on");
INSERT INTO `wp_postmeta` VALUES("160", "28", "_zilla_portfolio_display_gallery", "off");
INSERT INTO `wp_postmeta` VALUES("161", "28", "_zilla_portfolio_display_audio", "off");
INSERT INTO `wp_postmeta` VALUES("162", "28", "_zilla_portfolio_display_video", "off");
INSERT INTO `wp_postmeta` VALUES("163", "28", "_zilla_portfolio_display_background", "off");
INSERT INTO `wp_postmeta` VALUES("164", "28", "_zilla_image_ids", "false");
INSERT INTO `wp_postmeta` VALUES("165", "28", "_zilla_portfolio_gallery_layout", "stacked");
INSERT INTO `wp_postmeta` VALUES("166", "28", "_zilla_video_height", "");
INSERT INTO `wp_postmeta` VALUES("167", "28", "_zilla_video_m4v", "");
INSERT INTO `wp_postmeta` VALUES("168", "28", "_zilla_video_ogv", "");
INSERT INTO `wp_postmeta` VALUES("169", "28", "_zilla_video_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("170", "28", "_zilla_video_embed_code", "");
INSERT INTO `wp_postmeta` VALUES("171", "28", "_zilla_audio_mp3", "");
INSERT INTO `wp_postmeta` VALUES("172", "28", "_zilla_audio_ogg", "");
INSERT INTO `wp_postmeta` VALUES("173", "28", "_zilla_audio_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("174", "28", "_zilla_audio_height", "");
INSERT INTO `wp_postmeta` VALUES("175", "28", "_zilla_background_image_url", "");
INSERT INTO `wp_postmeta` VALUES("176", "28", "_zilla_background_cover", "on");
INSERT INTO `wp_postmeta` VALUES("177", "28", "_zilla_background_position", "left");
INSERT INTO `wp_postmeta` VALUES("178", "28", "_zilla_background_repeat", "no-repeat");
INSERT INTO `wp_postmeta` VALUES("179", "28", "_zilla_background_color", "#f0eee8");
INSERT INTO `wp_postmeta` VALUES("180", "28", "_edit_lock", "1376153153:1");
INSERT INTO `wp_postmeta` VALUES("181", "36", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("182", "36", "_edit_lock", "1376153131:1");
INSERT INTO `wp_postmeta` VALUES("184", "36", "_zilla_portfolio_caption", " ");
INSERT INTO `wp_postmeta` VALUES("185", "36", "_zilla_portfolio_date", "");
INSERT INTO `wp_postmeta` VALUES("186", "36", "_zilla_portfolio_client", "");
INSERT INTO `wp_postmeta` VALUES("187", "36", "_zilla_portfolio_url", "");
INSERT INTO `wp_postmeta` VALUES("188", "36", "_zilla_portfolio_featured", "on");
INSERT INTO `wp_postmeta` VALUES("189", "36", "_zilla_portfolio_display_gallery", "off");
INSERT INTO `wp_postmeta` VALUES("190", "36", "_zilla_portfolio_display_audio", "off");
INSERT INTO `wp_postmeta` VALUES("191", "36", "_zilla_portfolio_display_video", "off");
INSERT INTO `wp_postmeta` VALUES("192", "36", "_zilla_portfolio_display_background", "off");
INSERT INTO `wp_postmeta` VALUES("193", "36", "_zilla_image_ids", "false");
INSERT INTO `wp_postmeta` VALUES("194", "36", "_zilla_portfolio_gallery_layout", "stacked");
INSERT INTO `wp_postmeta` VALUES("195", "36", "_zilla_video_height", "");
INSERT INTO `wp_postmeta` VALUES("196", "36", "_zilla_video_m4v", "");
INSERT INTO `wp_postmeta` VALUES("197", "36", "_zilla_video_ogv", "");
INSERT INTO `wp_postmeta` VALUES("198", "36", "_zilla_video_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("199", "36", "_zilla_video_embed_code", "");
INSERT INTO `wp_postmeta` VALUES("200", "36", "_zilla_audio_mp3", "");
INSERT INTO `wp_postmeta` VALUES("201", "36", "_zilla_audio_ogg", "");
INSERT INTO `wp_postmeta` VALUES("202", "36", "_zilla_audio_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("203", "36", "_zilla_audio_height", "");
INSERT INTO `wp_postmeta` VALUES("204", "36", "_zilla_background_image_url", "");
INSERT INTO `wp_postmeta` VALUES("205", "36", "_zilla_background_cover", "on");
INSERT INTO `wp_postmeta` VALUES("206", "36", "_zilla_background_position", "left");
INSERT INTO `wp_postmeta` VALUES("207", "36", "_zilla_background_repeat", "no-repeat");
INSERT INTO `wp_postmeta` VALUES("208", "36", "_zilla_background_color", "#f0eee8");
INSERT INTO `wp_postmeta` VALUES("213", "37", "_wp_attached_file", "2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png");
INSERT INTO `wp_postmeta` VALUES("214", "37", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:700;s:6:\"height\";i:304;s:4:\"file\";s:56:\"2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:41:\"MarcGriffithsNameGraphicFINAL-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:41:\"MarcGriffithsNameGraphicFINAL-300x130.png\";s:5:\"width\";i:300;s:6:\"height\";i:130;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"MarcGriffithsNameGraphicFINAL-500x217.png\";s:5:\"width\";i:500;s:6:\"height\";i:217;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"post-thumbnail\";a:4:{s:4:\"file\";s:41:\"MarcGriffithsNameGraphicFINAL-750x326.png\";s:5:\"width\";i:750;s:6:\"height\";i:326;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-2col\";a:4:{s:4:\"file\";s:41:\"MarcGriffithsNameGraphicFINAL-450x195.png\";s:5:\"width\";i:450;s:6:\"height\";i:195;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:41:\"MarcGriffithsNameGraphicFINAL-280x121.png\";s:5:\"width\";i:280;s:6:\"height\";i:121;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("215", "38", "_wp_attached_file", "2013/08/WorldsNumberOne_FINAL-e1376152462661.png");
INSERT INTO `wp_postmeta` VALUES("216", "38", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:700;s:6:\"height\";i:409;s:4:\"file\";s:48:\"2013/08/WorldsNumberOne_FINAL-e1376152462661.png\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:33:\"WorldsNumberOne_FINAL-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:33:\"WorldsNumberOne_FINAL-300x175.png\";s:5:\"width\";i:300;s:6:\"height\";i:175;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:33:\"WorldsNumberOne_FINAL-500x292.png\";s:5:\"width\";i:500;s:6:\"height\";i:292;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"post-thumbnail\";a:4:{s:4:\"file\";s:33:\"WorldsNumberOne_FINAL-750x438.png\";s:5:\"width\";i:750;s:6:\"height\";i:438;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-2col\";a:4:{s:4:\"file\";s:33:\"WorldsNumberOne_FINAL-450x263.png\";s:5:\"width\";i:450;s:6:\"height\";i:263;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:33:\"WorldsNumberOne_FINAL-280x163.png\";s:5:\"width\";i:280;s:6:\"height\";i:163;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("217", "37", "_edit_lock", "1375564938:1");
INSERT INTO `wp_postmeta` VALUES("218", "37", "_wp_attachment_backup_sizes", "a:1:{s:9:\"full-orig\";a:3:{s:5:\"width\";i:4500;s:6:\"height\";i:1956;s:4:\"file\";s:33:\"MarcGriffithsNameGraphicFINAL.png\";}}");
INSERT INTO `wp_postmeta` VALUES("219", "37", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("222", "47", "_wp_attached_file", "2013/08/2sophiemarc_resized.jpg");
INSERT INTO `wp_postmeta` VALUES("223", "47", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:550;s:6:\"height\";i:367;s:4:\"file\";s:31:\"2013/08/2sophiemarc_resized.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"2sophiemarc_resized-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"2sophiemarc_resized-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:31:\"2sophiemarc_resized-500x333.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:333;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-2col\";a:4:{s:4:\"file\";s:31:\"2sophiemarc_resized-450x300.jpg\";s:5:\"width\";i:450;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:31:\"2sophiemarc_resized-280x186.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:186;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:1301627317;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("224", "48", "_wp_attached_file", "2013/08/5balls_resized.jpg");
INSERT INTO `wp_postmeta` VALUES("225", "48", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:600;s:6:\"height\";i:267;s:4:\"file\";s:26:\"2013/08/5balls_resized.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"5balls_resized-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"5balls_resized-300x133.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:133;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"5balls_resized-500x222.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:222;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-2col\";a:4:{s:4:\"file\";s:26:\"5balls_resized-450x200.jpg\";s:5:\"width\";i:450;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:26:\"5balls_resized-280x124.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:124;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:1374750732;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("226", "49", "_wp_attached_file", "2013/08/8GoldLivePhotos_resized.jpg");
INSERT INTO `wp_postmeta` VALUES("227", "49", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:550;s:6:\"height\";i:367;s:4:\"file\";s:35:\"2013/08/8GoldLivePhotos_resized.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"8GoldLivePhotos_resized-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"8GoldLivePhotos_resized-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:35:\"8GoldLivePhotos_resized-500x333.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:333;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-2col\";a:4:{s:4:\"file\";s:35:\"8GoldLivePhotos_resized-450x300.jpg\";s:5:\"width\";i:450;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:35:\"8GoldLivePhotos_resized-280x186.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:186;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:14:\"Salvador Lopez\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:1357641629;s:9:\"copyright\";s:34:\"Copyright 2011 ALL RIGHTS RESERVED\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("228", "50", "_wp_attached_file", "2013/08/7GoldLivePhotos_resized.jpg");
INSERT INTO `wp_postmeta` VALUES("229", "50", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:550;s:6:\"height\";i:367;s:4:\"file\";s:35:\"2013/08/7GoldLivePhotos_resized.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"7GoldLivePhotos_resized-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"7GoldLivePhotos_resized-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:35:\"7GoldLivePhotos_resized-500x333.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:333;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-2col\";a:4:{s:4:\"file\";s:35:\"7GoldLivePhotos_resized-450x300.jpg\";s:5:\"width\";i:450;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:35:\"7GoldLivePhotos_resized-280x186.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:186;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:14:\"Salvador Lopez\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:1357641419;s:9:\"copyright\";s:34:\"Copyright 2011 ALL RIGHTS RESERVED\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("230", "51", "_wp_attached_file", "2013/08/6GoldLivePhotos_resized.jpg");
INSERT INTO `wp_postmeta` VALUES("231", "51", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:550;s:6:\"height\";i:367;s:4:\"file\";s:35:\"2013/08/6GoldLivePhotos_resized.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"6GoldLivePhotos_resized-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"6GoldLivePhotos_resized-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:35:\"6GoldLivePhotos_resized-500x333.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:333;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-2col\";a:4:{s:4:\"file\";s:35:\"6GoldLivePhotos_resized-450x300.jpg\";s:5:\"width\";i:450;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:35:\"6GoldLivePhotos_resized-280x186.jpg\";s:5:\"width\";i:280;s:6:\"height\";i:186;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:14:\"Salvador Lopez\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:1357641240;s:9:\"copyright\";s:34:\"Copyright 2011 ALL RIGHTS RESERVED\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("232", "52", "_wp_attached_file", "2013/08/3bear.jpeg");
INSERT INTO `wp_postmeta` VALUES("233", "52", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:640;s:4:\"file\";s:18:\"2013/08/3bear.jpeg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:18:\"3bear-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:18:\"3bear-225x300.jpeg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:18:\"3bear-375x500.jpeg\";s:5:\"width\";i:375;s:6:\"height\";i:500;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-2col\";a:4:{s:4:\"file\";s:18:\"3bear-240x321.jpeg\";s:5:\"width\";i:240;s:6:\"height\";i:321;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:18:\"3bear-150x200.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("234", "53", "_wp_attached_file", "2013/08/1discoverybug_resized.jpg");
INSERT INTO `wp_postmeta` VALUES("235", "53", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:425;s:6:\"height\";i:550;s:4:\"file\";s:33:\"2013/08/1discoverybug_resized.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:33:\"1discoverybug_resized-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:33:\"1discoverybug_resized-231x300.jpg\";s:5:\"width\";i:231;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:33:\"1discoverybug_resized-386x500.jpg\";s:5:\"width\";i:386;s:6:\"height\";i:500;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-2col\";a:4:{s:4:\"file\";s:33:\"1discoverybug_resized-248x321.jpg\";s:5:\"width\";i:248;s:6:\"height\";i:321;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:33:\"1discoverybug_resized-154x200.jpg\";s:5:\"width\";i:154;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("236", "28", "_thumbnail_id", "53");
INSERT INTO `wp_postmeta` VALUES("237", "36", "_thumbnail_id", "47");
INSERT INTO `wp_postmeta` VALUES("238", "54", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("239", "54", "_edit_lock", "1376153885:1");
INSERT INTO `wp_postmeta` VALUES("240", "54", "_thumbnail_id", "52");
INSERT INTO `wp_postmeta` VALUES("241", "54", "_zilla_portfolio_caption", "");
INSERT INTO `wp_postmeta` VALUES("242", "54", "_zilla_portfolio_date", "");
INSERT INTO `wp_postmeta` VALUES("243", "54", "_zilla_portfolio_client", "");
INSERT INTO `wp_postmeta` VALUES("244", "54", "_zilla_portfolio_url", "");
INSERT INTO `wp_postmeta` VALUES("245", "54", "_zilla_portfolio_featured", "on");
INSERT INTO `wp_postmeta` VALUES("246", "54", "_zilla_portfolio_display_gallery", "on");
INSERT INTO `wp_postmeta` VALUES("247", "54", "_zilla_portfolio_display_audio", "off");
INSERT INTO `wp_postmeta` VALUES("248", "54", "_zilla_portfolio_display_video", "off");
INSERT INTO `wp_postmeta` VALUES("249", "54", "_zilla_portfolio_display_background", "off");
INSERT INTO `wp_postmeta` VALUES("250", "54", "_zilla_image_ids", "false");
INSERT INTO `wp_postmeta` VALUES("251", "54", "_zilla_portfolio_gallery_layout", "stacked");
INSERT INTO `wp_postmeta` VALUES("252", "54", "_zilla_video_height", "");
INSERT INTO `wp_postmeta` VALUES("253", "54", "_zilla_video_m4v", "");
INSERT INTO `wp_postmeta` VALUES("254", "54", "_zilla_video_ogv", "");
INSERT INTO `wp_postmeta` VALUES("255", "54", "_zilla_video_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("256", "54", "_zilla_video_embed_code", "");
INSERT INTO `wp_postmeta` VALUES("257", "54", "_zilla_audio_mp3", "");
INSERT INTO `wp_postmeta` VALUES("258", "54", "_zilla_audio_ogg", "");
INSERT INTO `wp_postmeta` VALUES("259", "54", "_zilla_audio_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("260", "54", "_zilla_audio_height", "");
INSERT INTO `wp_postmeta` VALUES("261", "54", "_zilla_background_image_url", "");
INSERT INTO `wp_postmeta` VALUES("262", "54", "_zilla_background_cover", "on");
INSERT INTO `wp_postmeta` VALUES("263", "54", "_zilla_background_position", "left");
INSERT INTO `wp_postmeta` VALUES("264", "54", "_zilla_background_repeat", "no-repeat");
INSERT INTO `wp_postmeta` VALUES("265", "54", "_zilla_background_color", "#f0eee8");
INSERT INTO `wp_postmeta` VALUES("266", "55", "_thumbnail_id", "48");
INSERT INTO `wp_postmeta` VALUES("267", "55", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("268", "55", "_edit_lock", "1376153255:1");
INSERT INTO `wp_postmeta` VALUES("269", "55", "_zilla_portfolio_caption", "");
INSERT INTO `wp_postmeta` VALUES("270", "55", "_zilla_portfolio_date", "");
INSERT INTO `wp_postmeta` VALUES("271", "55", "_zilla_portfolio_client", "");
INSERT INTO `wp_postmeta` VALUES("272", "55", "_zilla_portfolio_url", "");
INSERT INTO `wp_postmeta` VALUES("273", "55", "_zilla_portfolio_featured", "on");
INSERT INTO `wp_postmeta` VALUES("274", "55", "_zilla_portfolio_display_gallery", "off");
INSERT INTO `wp_postmeta` VALUES("275", "55", "_zilla_portfolio_display_audio", "off");
INSERT INTO `wp_postmeta` VALUES("276", "55", "_zilla_portfolio_display_video", "off");
INSERT INTO `wp_postmeta` VALUES("277", "55", "_zilla_portfolio_display_background", "off");
INSERT INTO `wp_postmeta` VALUES("278", "55", "_zilla_image_ids", "false");
INSERT INTO `wp_postmeta` VALUES("279", "55", "_zilla_portfolio_gallery_layout", "stacked");
INSERT INTO `wp_postmeta` VALUES("280", "55", "_zilla_video_height", "");
INSERT INTO `wp_postmeta` VALUES("281", "55", "_zilla_video_m4v", "");
INSERT INTO `wp_postmeta` VALUES("282", "55", "_zilla_video_ogv", "");
INSERT INTO `wp_postmeta` VALUES("283", "55", "_zilla_video_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("284", "55", "_zilla_video_embed_code", "");
INSERT INTO `wp_postmeta` VALUES("285", "55", "_zilla_audio_mp3", "");
INSERT INTO `wp_postmeta` VALUES("286", "55", "_zilla_audio_ogg", "");
INSERT INTO `wp_postmeta` VALUES("287", "55", "_zilla_audio_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("288", "55", "_zilla_audio_height", "");
INSERT INTO `wp_postmeta` VALUES("289", "55", "_zilla_background_image_url", "");
INSERT INTO `wp_postmeta` VALUES("290", "55", "_zilla_background_cover", "on");
INSERT INTO `wp_postmeta` VALUES("291", "55", "_zilla_background_position", "left");
INSERT INTO `wp_postmeta` VALUES("292", "55", "_zilla_background_repeat", "no-repeat");
INSERT INTO `wp_postmeta` VALUES("293", "55", "_zilla_background_color", "#f0eee8");
INSERT INTO `wp_postmeta` VALUES("294", "56", "_thumbnail_id", "51");
INSERT INTO `wp_postmeta` VALUES("295", "56", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("296", "56", "_edit_lock", "1376153271:1");
INSERT INTO `wp_postmeta` VALUES("297", "56", "_zilla_portfolio_caption", "");
INSERT INTO `wp_postmeta` VALUES("298", "56", "_zilla_portfolio_date", "");
INSERT INTO `wp_postmeta` VALUES("299", "56", "_zilla_portfolio_client", "");
INSERT INTO `wp_postmeta` VALUES("300", "56", "_zilla_portfolio_url", "");
INSERT INTO `wp_postmeta` VALUES("301", "56", "_zilla_portfolio_featured", "on");
INSERT INTO `wp_postmeta` VALUES("302", "56", "_zilla_portfolio_display_gallery", "off");
INSERT INTO `wp_postmeta` VALUES("303", "56", "_zilla_portfolio_display_audio", "off");
INSERT INTO `wp_postmeta` VALUES("304", "56", "_zilla_portfolio_display_video", "off");
INSERT INTO `wp_postmeta` VALUES("305", "56", "_zilla_portfolio_display_background", "off");
INSERT INTO `wp_postmeta` VALUES("306", "56", "_zilla_image_ids", "false");
INSERT INTO `wp_postmeta` VALUES("307", "56", "_zilla_portfolio_gallery_layout", "stacked");
INSERT INTO `wp_postmeta` VALUES("308", "56", "_zilla_video_height", "");
INSERT INTO `wp_postmeta` VALUES("309", "56", "_zilla_video_m4v", "");
INSERT INTO `wp_postmeta` VALUES("310", "56", "_zilla_video_ogv", "");
INSERT INTO `wp_postmeta` VALUES("311", "56", "_zilla_video_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("312", "56", "_zilla_video_embed_code", "");
INSERT INTO `wp_postmeta` VALUES("313", "56", "_zilla_audio_mp3", "");
INSERT INTO `wp_postmeta` VALUES("314", "56", "_zilla_audio_ogg", "");
INSERT INTO `wp_postmeta` VALUES("315", "56", "_zilla_audio_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("316", "56", "_zilla_audio_height", "");
INSERT INTO `wp_postmeta` VALUES("317", "56", "_zilla_background_image_url", "");
INSERT INTO `wp_postmeta` VALUES("318", "56", "_zilla_background_cover", "on");
INSERT INTO `wp_postmeta` VALUES("319", "56", "_zilla_background_position", "left");
INSERT INTO `wp_postmeta` VALUES("320", "56", "_zilla_background_repeat", "no-repeat");
INSERT INTO `wp_postmeta` VALUES("321", "56", "_zilla_background_color", "#f0eee8");
INSERT INTO `wp_postmeta` VALUES("322", "57", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("323", "57", "_edit_lock", "1376153316:1");
INSERT INTO `wp_postmeta` VALUES("324", "57", "_thumbnail_id", "50");
INSERT INTO `wp_postmeta` VALUES("325", "57", "_zilla_portfolio_caption", "");
INSERT INTO `wp_postmeta` VALUES("326", "57", "_zilla_portfolio_date", "");
INSERT INTO `wp_postmeta` VALUES("327", "57", "_zilla_portfolio_client", "");
INSERT INTO `wp_postmeta` VALUES("328", "57", "_zilla_portfolio_url", "");
INSERT INTO `wp_postmeta` VALUES("329", "57", "_zilla_portfolio_featured", "on");
INSERT INTO `wp_postmeta` VALUES("330", "57", "_zilla_portfolio_display_gallery", "off");
INSERT INTO `wp_postmeta` VALUES("331", "57", "_zilla_portfolio_display_audio", "off");
INSERT INTO `wp_postmeta` VALUES("332", "57", "_zilla_portfolio_display_video", "off");
INSERT INTO `wp_postmeta` VALUES("333", "57", "_zilla_portfolio_display_background", "off");
INSERT INTO `wp_postmeta` VALUES("334", "57", "_zilla_image_ids", "false");
INSERT INTO `wp_postmeta` VALUES("335", "57", "_zilla_portfolio_gallery_layout", "stacked");
INSERT INTO `wp_postmeta` VALUES("336", "57", "_zilla_video_height", "");
INSERT INTO `wp_postmeta` VALUES("337", "57", "_zilla_video_m4v", "");
INSERT INTO `wp_postmeta` VALUES("338", "57", "_zilla_video_ogv", "");
INSERT INTO `wp_postmeta` VALUES("339", "57", "_zilla_video_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("340", "57", "_zilla_video_embed_code", "");
INSERT INTO `wp_postmeta` VALUES("341", "57", "_zilla_audio_mp3", "");
INSERT INTO `wp_postmeta` VALUES("342", "57", "_zilla_audio_ogg", "");
INSERT INTO `wp_postmeta` VALUES("343", "57", "_zilla_audio_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("344", "57", "_zilla_audio_height", "");
INSERT INTO `wp_postmeta` VALUES("345", "57", "_zilla_background_image_url", "");
INSERT INTO `wp_postmeta` VALUES("346", "57", "_zilla_background_cover", "on");
INSERT INTO `wp_postmeta` VALUES("347", "57", "_zilla_background_position", "left");
INSERT INTO `wp_postmeta` VALUES("348", "57", "_zilla_background_repeat", "no-repeat");
INSERT INTO `wp_postmeta` VALUES("349", "57", "_zilla_background_color", "#f0eee8");
INSERT INTO `wp_postmeta` VALUES("350", "58", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("351", "58", "_edit_lock", "1376153349:1");
INSERT INTO `wp_postmeta` VALUES("352", "58", "_thumbnail_id", "49");
INSERT INTO `wp_postmeta` VALUES("353", "58", "_zilla_portfolio_caption", "");
INSERT INTO `wp_postmeta` VALUES("354", "58", "_zilla_portfolio_date", "");
INSERT INTO `wp_postmeta` VALUES("355", "58", "_zilla_portfolio_client", "");
INSERT INTO `wp_postmeta` VALUES("356", "58", "_zilla_portfolio_url", "");
INSERT INTO `wp_postmeta` VALUES("357", "58", "_zilla_portfolio_featured", "on");
INSERT INTO `wp_postmeta` VALUES("358", "58", "_zilla_portfolio_display_gallery", "off");
INSERT INTO `wp_postmeta` VALUES("359", "58", "_zilla_portfolio_display_audio", "off");
INSERT INTO `wp_postmeta` VALUES("360", "58", "_zilla_portfolio_display_video", "off");
INSERT INTO `wp_postmeta` VALUES("361", "58", "_zilla_portfolio_display_background", "off");
INSERT INTO `wp_postmeta` VALUES("362", "58", "_zilla_image_ids", "false");
INSERT INTO `wp_postmeta` VALUES("363", "58", "_zilla_portfolio_gallery_layout", "stacked");
INSERT INTO `wp_postmeta` VALUES("364", "58", "_zilla_video_height", "");
INSERT INTO `wp_postmeta` VALUES("365", "58", "_zilla_video_m4v", "");
INSERT INTO `wp_postmeta` VALUES("366", "58", "_zilla_video_ogv", "");
INSERT INTO `wp_postmeta` VALUES("367", "58", "_zilla_video_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("368", "58", "_zilla_video_embed_code", "");
INSERT INTO `wp_postmeta` VALUES("369", "58", "_zilla_audio_mp3", "");
INSERT INTO `wp_postmeta` VALUES("370", "58", "_zilla_audio_ogg", "");
INSERT INTO `wp_postmeta` VALUES("371", "58", "_zilla_audio_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("372", "58", "_zilla_audio_height", "");
INSERT INTO `wp_postmeta` VALUES("373", "58", "_zilla_background_image_url", "");
INSERT INTO `wp_postmeta` VALUES("374", "58", "_zilla_background_cover", "on");
INSERT INTO `wp_postmeta` VALUES("375", "58", "_zilla_background_position", "left");
INSERT INTO `wp_postmeta` VALUES("376", "58", "_zilla_background_repeat", "no-repeat");
INSERT INTO `wp_postmeta` VALUES("377", "58", "_zilla_background_color", "#f0eee8");
INSERT INTO `wp_postmeta` VALUES("378", "59", "_wp_trash_meta_status", "auto-draft");
INSERT INTO `wp_postmeta` VALUES("379", "59", "_wp_trash_meta_time", "1375565784");
INSERT INTO `wp_postmeta` VALUES("380", "60", "perfect_quote_author", "(Pupil, age 10)");
INSERT INTO `wp_postmeta` VALUES("381", "60", "perfect_quote_where", "");
INSERT INTO `wp_postmeta` VALUES("382", "60", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("383", "60", "_edit_lock", "1375566277:1");
INSERT INTO `wp_postmeta` VALUES("384", "61", "perfect_quote_author", "(Head teacher, Hayle, Cornwall)");
INSERT INTO `wp_postmeta` VALUES("385", "61", "perfect_quote_where", "");
INSERT INTO `wp_postmeta` VALUES("386", "61", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("387", "61", "_edit_lock", "1375566303:1");
INSERT INTO `wp_postmeta` VALUES("388", "62", "perfect_quote_author", "(The Stage Newspaper)");
INSERT INTO `wp_postmeta` VALUES("389", "62", "perfect_quote_where", "");
INSERT INTO `wp_postmeta` VALUES("390", "62", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("391", "62", "_edit_lock", "1375566319:1");
INSERT INTO `wp_postmeta` VALUES("392", "63", "perfect_quote_author", "(Ian Scale, Wales Senior Public Health Officer)");
INSERT INTO `wp_postmeta` VALUES("393", "63", "perfect_quote_where", "");
INSERT INTO `wp_postmeta` VALUES("394", "63", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("395", "63", "_edit_lock", "1375566340:1");
INSERT INTO `wp_postmeta` VALUES("396", "64", "perfect_quote_author", "(Amanda Holden, Britain\'s Got Talent)");
INSERT INTO `wp_postmeta` VALUES("397", "64", "perfect_quote_where", "");
INSERT INTO `wp_postmeta` VALUES("398", "64", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("399", "64", "_edit_lock", "1375566356:1");
INSERT INTO `wp_postmeta` VALUES("400", "65", "perfect_quote_author", "(Caerphilly)");
INSERT INTO `wp_postmeta` VALUES("401", "65", "perfect_quote_where", "");
INSERT INTO `wp_postmeta` VALUES("402", "65", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("403", "65", "_edit_lock", "1375566388:1");
INSERT INTO `wp_postmeta` VALUES("404", "66", "perfect_quote_author", "(Head KS1, Caerphilly)");
INSERT INTO `wp_postmeta` VALUES("405", "66", "perfect_quote_where", "");
INSERT INTO `wp_postmeta` VALUES("406", "66", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("407", "66", "_edit_lock", "1375566407:1");
INSERT INTO `wp_postmeta` VALUES("408", "67", "perfect_quote_author", "(St Mary\'s, Flintshire)");
INSERT INTO `wp_postmeta` VALUES("409", "67", "perfect_quote_where", "");
INSERT INTO `wp_postmeta` VALUES("410", "67", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("411", "67", "_edit_lock", "1375566428:1");
INSERT INTO `wp_postmeta` VALUES("412", "68", "perfect_quote_author", "(Dana, Eurovision song contest Winner)");
INSERT INTO `wp_postmeta` VALUES("413", "68", "perfect_quote_where", "");
INSERT INTO `wp_postmeta` VALUES("414", "68", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("415", "68", "_edit_lock", "1375566445:1");
INSERT INTO `wp_postmeta` VALUES("416", "69", "perfect_quote_author", "(Lord Carey, Ex Archbishop Canterbury)");
INSERT INTO `wp_postmeta` VALUES("417", "69", "perfect_quote_where", "");
INSERT INTO `wp_postmeta` VALUES("418", "69", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("419", "69", "_edit_lock", "1375566458:1");
INSERT INTO `wp_postmeta` VALUES("420", "5", "perfect_quote_author", "");
INSERT INTO `wp_postmeta` VALUES("421", "5", "perfect_quote_where", "");
INSERT INTO `wp_postmeta` VALUES("424", "79", "_wp_attached_file", "2013/08/Hero1.png");
INSERT INTO `wp_postmeta` VALUES("425", "79", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:700;s:6:\"height\";i:555;s:4:\"file\";s:17:\"2013/08/Hero1.png\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:17:\"Hero1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:17:\"Hero1-300x237.png\";s:5:\"width\";i:300;s:6:\"height\";i:237;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:17:\"Hero1-500x396.png\";s:5:\"width\";i:500;s:6:\"height\";i:396;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-2col\";a:4:{s:4:\"file\";s:17:\"Hero1-404x321.png\";s:5:\"width\";i:404;s:6:\"height\";i:321;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:17:\"Hero1-252x200.png\";s:5:\"width\";i:252;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("426", "87", "_wp_attached_file", "2013/08/National_Award_Winner_DVD_SEAL-250.png");
INSERT INTO `wp_postmeta` VALUES("427", "87", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:250;s:6:\"height\";i:248;s:4:\"file\";s:46:\"2013/08/National_Award_Winner_DVD_SEAL-250.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:46:\"National_Award_Winner_DVD_SEAL-250-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:46:\"National_Award_Winner_DVD_SEAL-250-201x200.png\";s:5:\"width\";i:201;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("428", "88", "_wp_attached_file", "2013/08/Promo-Picture.png");
INSERT INTO `wp_postmeta` VALUES("429", "88", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:285;s:6:\"height\";i:192;s:4:\"file\";s:25:\"2013/08/Promo-Picture.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"Promo-Picture-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:25:\"Promo-Picture-280x188.png\";s:5:\"width\";i:280;s:6:\"height\";i:188;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("430", "89", "_wp_attached_file", "2013/08/BOYB-colum.png");
INSERT INTO `wp_postmeta` VALUES("431", "89", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:285;s:6:\"height\";i:192;s:4:\"file\";s:22:\"2013/08/BOYB-colum.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"BOYB-colum-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:22:\"BOYB-colum-280x188.png\";s:5:\"width\";i:280;s:6:\"height\";i:188;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("432", "90", "_wp_attached_file", "2013/08/Gold-Logo.png");
INSERT INTO `wp_postmeta` VALUES("433", "90", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:285;s:6:\"height\";i:192;s:4:\"file\";s:21:\"2013/08/Gold-Logo.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:21:\"Gold-Logo-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:21:\"Gold-Logo-280x188.png\";s:5:\"width\";i:280;s:6:\"height\";i:188;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("434", "90", "_edit_lock", "1376115394:1");
INSERT INTO `wp_postmeta` VALUES("435", "88", "_edit_lock", "1376115444:1");
INSERT INTO `wp_postmeta` VALUES("436", "89", "_edit_lock", "1376115715:1");
INSERT INTO `wp_postmeta` VALUES("437", "89", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("440", "94", "_wp_attached_file", "2013/08/MarkWithGorilla.png");
INSERT INTO `wp_postmeta` VALUES("441", "94", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2580;s:6:\"height\";i:3456;s:4:\"file\";s:27:\"2013/08/MarkWithGorilla.png\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"MarkWithGorilla-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"MarkWithGorilla-223x300.png\";s:5:\"width\";i:223;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"MarkWithGorilla-373x500.png\";s:5:\"width\";i:373;s:6:\"height\";i:500;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"post-thumbnail\";a:4:{s:4:\"file\";s:28:\"MarkWithGorilla-750x1004.png\";s:5:\"width\";i:750;s:6:\"height\";i:1004;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-2col\";a:4:{s:4:\"file\";s:27:\"MarkWithGorilla-239x321.png\";s:5:\"width\";i:239;s:6:\"height\";i:321;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:27:\"MarkWithGorilla-149x200.png\";s:5:\"width\";i:149;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("442", "95", "_wp_attached_file", "2013/08/contact-marc.png");
INSERT INTO `wp_postmeta` VALUES("443", "95", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:144;s:6:\"height\";i:205;s:4:\"file\";s:24:\"2013/08/contact-marc.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"contact-marc-144x150.png\";s:5:\"width\";i:144;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:24:\"contact-marc-140x200.png\";s:5:\"width\";i:140;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("444", "96", "_wp_attached_file", "2013/08/Doggy_Cutout1.png");
INSERT INTO `wp_postmeta` VALUES("445", "96", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2680;s:6:\"height\";i:3752;s:4:\"file\";s:25:\"2013/08/Doggy_Cutout1.png\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"Doggy_Cutout1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"Doggy_Cutout1-214x300.png\";s:5:\"width\";i:214;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:25:\"Doggy_Cutout1-357x500.png\";s:5:\"width\";i:357;s:6:\"height\";i:500;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"post-thumbnail\";a:4:{s:4:\"file\";s:26:\"Doggy_Cutout1-750x1050.png\";s:5:\"width\";i:750;s:6:\"height\";i:1050;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-2col\";a:4:{s:4:\"file\";s:25:\"Doggy_Cutout1-229x321.png\";s:5:\"width\";i:229;s:6:\"height\";i:321;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:25:\"Doggy_Cutout1-142x200.png\";s:5:\"width\";i:142;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("446", "97", "_wp_attached_file", "2013/08/3bear1.jpeg");
INSERT INTO `wp_postmeta` VALUES("447", "97", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:640;s:4:\"file\";s:19:\"2013/08/3bear1.jpeg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"3bear1-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"3bear1-225x300.jpeg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:19:\"3bear1-375x500.jpeg\";s:5:\"width\";i:375;s:6:\"height\";i:500;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-2col\";a:4:{s:4:\"file\";s:19:\"3bear1-240x321.jpeg\";s:5:\"width\";i:240;s:6:\"height\";i:321;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:19:\"3bear1-150x200.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("449", "104", "_wp_attached_file", "2013/08/ASPIRATIONS_SECONDARY_SHOW_Web_Image.png");
INSERT INTO `wp_postmeta` VALUES("450", "104", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:158;s:6:\"height\";i:108;s:4:\"file\";s:48:\"2013/08/ASPIRATIONS_SECONDARY_SHOW_Web_Image.png\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:48:\"ASPIRATIONS_SECONDARY_SHOW_Web_Image-150x108.png\";s:5:\"width\";i:150;s:6:\"height\";i:108;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("451", "105", "_wp_attached_file", "2013/08/ASPIRATIONS_SHOW_Web_Image.png");
INSERT INTO `wp_postmeta` VALUES("452", "105", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:158;s:6:\"height\";i:108;s:4:\"file\";s:38:\"2013/08/ASPIRATIONS_SHOW_Web_Image.png\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"ASPIRATIONS_SHOW_Web_Image-150x108.png\";s:5:\"width\";i:150;s:6:\"height\";i:108;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("453", "106", "_wp_attached_file", "2013/08/BULLYING_SHOW_Web_Image.png");
INSERT INTO `wp_postmeta` VALUES("454", "106", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:158;s:6:\"height\";i:108;s:4:\"file\";s:35:\"2013/08/BULLYING_SHOW_Web_Image.png\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"BULLYING_SHOW_Web_Image-150x108.png\";s:5:\"width\";i:150;s:6:\"height\";i:108;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("455", "107", "_wp_attached_file", "2013/08/GOLD_SHOW_Web_Image.png");
INSERT INTO `wp_postmeta` VALUES("456", "107", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:158;s:6:\"height\";i:108;s:4:\"file\";s:31:\"2013/08/GOLD_SHOW_Web_Image.png\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"GOLD_SHOW_Web_Image-150x108.png\";s:5:\"width\";i:150;s:6:\"height\";i:108;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("457", "108", "_wp_attached_file", "2013/08/I_AM_SPECIAL_SHOW_Web_Image.png");
INSERT INTO `wp_postmeta` VALUES("458", "108", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:158;s:6:\"height\";i:108;s:4:\"file\";s:39:\"2013/08/I_AM_SPECIAL_SHOW_Web_Image.png\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:39:\"I_AM_SPECIAL_SHOW_Web_Image-150x108.png\";s:5:\"width\";i:150;s:6:\"height\";i:108;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");
INSERT INTO `wp_postmeta` VALUES("459", "1", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("460", "1", "_wp_trash_meta_time", "1376122100");
INSERT INTO `wp_postmeta` VALUES("461", "1", "_wp_trash_meta_comments_status", "a:1:{i:1;s:1:\"1\";}");
INSERT INTO `wp_postmeta` VALUES("462", "112", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("463", "112", "_edit_lock", "1376122184:1");
INSERT INTO `wp_postmeta` VALUES("465", "112", "_zilla_image_ids", "false");
INSERT INTO `wp_postmeta` VALUES("466", "112", "_zilla_quote_quote", "");
INSERT INTO `wp_postmeta` VALUES("467", "112", "_zilla_link_url", "");
INSERT INTO `wp_postmeta` VALUES("468", "112", "_zilla_video_height", "");
INSERT INTO `wp_postmeta` VALUES("469", "112", "_zilla_video_m4v", "");
INSERT INTO `wp_postmeta` VALUES("470", "112", "_zilla_video_ogv", "");
INSERT INTO `wp_postmeta` VALUES("471", "112", "_zilla_video_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("472", "112", "_zilla_video_embed_code", "&lt;iframe width=&quot;560&quot; height=&quot;315&quot; src=&quot;//www.youtube.com/embed/qchxtl_UBlI?rel=0&quot; frameborder=&quot;0&quot; allowfullscreen&gt;&lt;/iframe&gt;");
INSERT INTO `wp_postmeta` VALUES("473", "112", "_zilla_audio_mp3", "");
INSERT INTO `wp_postmeta` VALUES("474", "112", "_zilla_audio_ogg", "");
INSERT INTO `wp_postmeta` VALUES("475", "112", "_zilla_audio_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("476", "112", "_zilla_audio_height", "");
INSERT INTO `wp_postmeta` VALUES("477", "112", "_zilla_post_display_background", "off");
INSERT INTO `wp_postmeta` VALUES("478", "112", "_zilla_background_image_url", "");
INSERT INTO `wp_postmeta` VALUES("479", "112", "_zilla_background_cover", "on");
INSERT INTO `wp_postmeta` VALUES("480", "112", "_zilla_background_position", "left");
INSERT INTO `wp_postmeta` VALUES("481", "112", "_zilla_background_repeat", "no-repeat");
INSERT INTO `wp_postmeta` VALUES("482", "112", "_zilla_background_color", "#f0eee8");
INSERT INTO `wp_postmeta` VALUES("483", "112", "_zilla_seo_title", "");
INSERT INTO `wp_postmeta` VALUES("484", "112", "_zilla_seo_description", "");
INSERT INTO `wp_postmeta` VALUES("485", "112", "_zilla_seo_keywords", "");
INSERT INTO `wp_postmeta` VALUES("486", "112", "_zilla_seo_robots_index", "0");
INSERT INTO `wp_postmeta` VALUES("487", "112", "_zilla_seo_robots_follow", "0");
INSERT INTO `wp_postmeta` VALUES("490", "116", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("491", "116", "_edit_lock", "1376122232:1");
INSERT INTO `wp_postmeta` VALUES("493", "116", "_zilla_image_ids", "false");
INSERT INTO `wp_postmeta` VALUES("494", "116", "_zilla_quote_quote", "");
INSERT INTO `wp_postmeta` VALUES("495", "116", "_zilla_link_url", "");
INSERT INTO `wp_postmeta` VALUES("496", "116", "_zilla_video_height", "");
INSERT INTO `wp_postmeta` VALUES("497", "116", "_zilla_video_m4v", "");
INSERT INTO `wp_postmeta` VALUES("498", "116", "_zilla_video_ogv", "");
INSERT INTO `wp_postmeta` VALUES("499", "116", "_zilla_video_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("500", "116", "_zilla_video_embed_code", "&lt;iframe width=&quot;560&quot; height=&quot;315&quot; src=&quot;//www.youtube.com/embed/ZCByTrzxIBo?rel=0&quot; frameborder=&quot;0&quot; allowfullscreen&gt;&lt;/iframe&gt;");
INSERT INTO `wp_postmeta` VALUES("501", "116", "_zilla_audio_mp3", "");
INSERT INTO `wp_postmeta` VALUES("502", "116", "_zilla_audio_ogg", "");
INSERT INTO `wp_postmeta` VALUES("503", "116", "_zilla_audio_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("504", "116", "_zilla_audio_height", "");
INSERT INTO `wp_postmeta` VALUES("505", "116", "_zilla_post_display_background", "off");
INSERT INTO `wp_postmeta` VALUES("506", "116", "_zilla_background_image_url", "");
INSERT INTO `wp_postmeta` VALUES("507", "116", "_zilla_background_cover", "on");
INSERT INTO `wp_postmeta` VALUES("508", "116", "_zilla_background_position", "left");
INSERT INTO `wp_postmeta` VALUES("509", "116", "_zilla_background_repeat", "no-repeat");
INSERT INTO `wp_postmeta` VALUES("510", "116", "_zilla_background_color", "#f0eee8");
INSERT INTO `wp_postmeta` VALUES("511", "116", "_zilla_seo_title", "");
INSERT INTO `wp_postmeta` VALUES("512", "116", "_zilla_seo_description", "");
INSERT INTO `wp_postmeta` VALUES("513", "116", "_zilla_seo_keywords", "");
INSERT INTO `wp_postmeta` VALUES("514", "116", "_zilla_seo_robots_index", "0");
INSERT INTO `wp_postmeta` VALUES("515", "116", "_zilla_seo_robots_follow", "0");
INSERT INTO `wp_postmeta` VALUES("516", "118", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("517", "118", "_edit_lock", "1376156207:1");
INSERT INTO `wp_postmeta` VALUES("519", "118", "_zilla_image_ids", "false");
INSERT INTO `wp_postmeta` VALUES("520", "118", "_zilla_quote_quote", "");
INSERT INTO `wp_postmeta` VALUES("521", "118", "_zilla_link_url", "");
INSERT INTO `wp_postmeta` VALUES("522", "118", "_zilla_video_height", "");
INSERT INTO `wp_postmeta` VALUES("523", "118", "_zilla_video_m4v", "");
INSERT INTO `wp_postmeta` VALUES("524", "118", "_zilla_video_ogv", "");
INSERT INTO `wp_postmeta` VALUES("525", "118", "_zilla_video_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("526", "118", "_zilla_video_embed_code", "&lt;iframe width=&quot;560&quot; height=&quot;315&quot; src=&quot;//www.youtube.com/embed/Zon5akrqKqg?rel=0&quot; frameborder=&quot;0&quot; allowfullscreen&gt;&lt;/iframe&gt;");
INSERT INTO `wp_postmeta` VALUES("527", "118", "_zilla_audio_mp3", "");
INSERT INTO `wp_postmeta` VALUES("528", "118", "_zilla_audio_ogg", "");
INSERT INTO `wp_postmeta` VALUES("529", "118", "_zilla_audio_poster_url", "");
INSERT INTO `wp_postmeta` VALUES("530", "118", "_zilla_audio_height", "");
INSERT INTO `wp_postmeta` VALUES("531", "118", "_zilla_post_display_background", "off");
INSERT INTO `wp_postmeta` VALUES("532", "118", "_zilla_background_image_url", "");
INSERT INTO `wp_postmeta` VALUES("533", "118", "_zilla_background_cover", "on");
INSERT INTO `wp_postmeta` VALUES("534", "118", "_zilla_background_position", "left");
INSERT INTO `wp_postmeta` VALUES("535", "118", "_zilla_background_repeat", "no-repeat");
INSERT INTO `wp_postmeta` VALUES("536", "118", "_zilla_background_color", "#f0eee8");
INSERT INTO `wp_postmeta` VALUES("537", "118", "_zilla_seo_title", "");
INSERT INTO `wp_postmeta` VALUES("538", "118", "_zilla_seo_description", "");
INSERT INTO `wp_postmeta` VALUES("539", "118", "_zilla_seo_keywords", "");
INSERT INTO `wp_postmeta` VALUES("540", "118", "_zilla_seo_robots_index", "0");
INSERT INTO `wp_postmeta` VALUES("541", "118", "_zilla_seo_robots_follow", "0");
INSERT INTO `wp_postmeta` VALUES("545", "79", "_edit_lock", "1376152410:1");
INSERT INTO `wp_postmeta` VALUES("546", "38", "_edit_lock", "1376152472:1");
INSERT INTO `wp_postmeta` VALUES("547", "38", "_wp_attachment_backup_sizes", "a:1:{s:9:\"full-orig\";a:3:{s:5:\"width\";i:4596;s:6:\"height\";i:2688;s:4:\"file\";s:25:\"WorldsNumberOne_FINAL.png\";}}");
INSERT INTO `wp_postmeta` VALUES("548", "38", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("550", "148", "_tern_wp_youtube_video", "ehcKrpaErF0");
INSERT INTO `wp_postmeta` VALUES("551", "148", "_tern_wp_youtube_published", "2013-08-10 17:33:58");
INSERT INTO `wp_postmeta` VALUES("552", "148", "_tern_wp_youtube_author", "getoutyourbox1");
INSERT INTO `wp_postmeta` VALUES("553", "148", "_thumbnail_id", "ehcKrpaErF0");
INSERT INTO `wp_postmeta` VALUES("555", "149", "_tern_wp_youtube_video", "stuKOXL24q0");
INSERT INTO `wp_postmeta` VALUES("556", "149", "_tern_wp_youtube_published", "2013-08-10 17:35:16");
INSERT INTO `wp_postmeta` VALUES("557", "149", "_tern_wp_youtube_author", "getoutyourbox1");
INSERT INTO `wp_postmeta` VALUES("558", "149", "_thumbnail_id", "stuKOXL24q0");
INSERT INTO `wp_postmeta` VALUES("559", "149", "_edit_lock", "1376159074:1");
INSERT INTO `wp_postmeta` VALUES("560", "118", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("561", "118", "_wp_trash_meta_time", "1376157321");
INSERT INTO `wp_postmeta` VALUES("562", "116", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("563", "116", "_wp_trash_meta_time", "1376157321");
INSERT INTO `wp_postmeta` VALUES("564", "112", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("565", "112", "_wp_trash_meta_time", "1376157321");
INSERT INTO `wp_postmeta` VALUES("567", "151", "_tern_wp_youtube_video", "Zon5akrqKqg");
INSERT INTO `wp_postmeta` VALUES("568", "151", "_tern_wp_youtube_published", "2013-08-10 17:38:08");
INSERT INTO `wp_postmeta` VALUES("569", "151", "_tern_wp_youtube_author", "getoutyourbox1");
INSERT INTO `wp_postmeta` VALUES("570", "151", "_thumbnail_id", "Zon5akrqKqg");
INSERT INTO `wp_postmeta` VALUES("572", "152", "_tern_wp_youtube_video", "EFAgCOtgTn8");
INSERT INTO `wp_postmeta` VALUES("573", "152", "_tern_wp_youtube_published", "2013-08-10 17:38:08");
INSERT INTO `wp_postmeta` VALUES("574", "152", "_tern_wp_youtube_author", "getoutyourbox1");
INSERT INTO `wp_postmeta` VALUES("575", "152", "_thumbnail_id", "EFAgCOtgTn8");
INSERT INTO `wp_postmeta` VALUES("577", "153", "_tern_wp_youtube_video", "qchxtl_UBlI");
INSERT INTO `wp_postmeta` VALUES("578", "153", "_tern_wp_youtube_published", "2013-08-10 17:40:40");
INSERT INTO `wp_postmeta` VALUES("579", "153", "_tern_wp_youtube_author", "getoutyourbox1");
INSERT INTO `wp_postmeta` VALUES("580", "153", "_thumbnail_id", "qchxtl_UBlI");
INSERT INTO `wp_postmeta` VALUES("581", "156", "_wp_attached_file", "2013/08/signature.png");
INSERT INTO `wp_postmeta` VALUES("582", "156", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:355;s:6:\"height\";i:47;s:4:\"file\";s:21:\"2013/08/signature.png\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:20:\"signature-150x47.png\";s:5:\"width\";i:150;s:6:\"height\";i:47;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:20:\"signature-300x39.png\";s:5:\"width\";i:300;s:6:\"height\";i:39;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"portfolio-3col\";a:4:{s:4:\"file\";s:20:\"signature-280x37.png\";s:5:\"width\";i:280;s:6:\"height\";i:37;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:10:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";}}");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("1", "1", "2013-08-03 19:38:10", "2013-08-03 19:38:10", "Welcome to WordPress. This is your first post. Edit or delete it, then start blogging!", "Hello world!", "", "trash", "open", "open", "", "hello-world", "", "", "2013-08-10 08:08:20", "2013-08-10 08:08:20", "", "0", "http://goyb.raycreative.com/?p=1", "0", "post", "", "1");
INSERT INTO `wp_posts` VALUES("2", "1", "2013-08-03 19:38:10", "2013-08-03 19:38:10", "This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:\n\n<blockquote>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my blog. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</blockquote>\n\n...or something like this:\n\n<blockquote>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</blockquote>\n\nAs a new WordPress user, you should go to <a href=\"http://goyb.raycreative.com/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!", "Sample Page", "", "trash", "open", "open", "", "sample-page", "", "", "2013-08-03 19:41:34", "2013-08-03 19:41:34", "", "0", "http://goyb.raycreative.com/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("4", "1", "2013-08-03 19:41:34", "2013-08-03 19:41:34", "This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:\n\n<blockquote>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my blog. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</blockquote>\n\n...or something like this:\n\n<blockquote>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</blockquote>\n\nAs a new WordPress user, you should go to <a href=\"http://goyb.raycreative.com/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!", "Sample Page", "", "inherit", "open", "open", "", "2-revision-v1", "", "", "2013-08-03 19:41:34", "2013-08-03 19:41:34", "", "2", "http://goyb.raycreative.com/?p=4", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("5", "1", "2013-08-03 19:41:47", "2013-08-03 19:41:47", "<p class=\"page-caption\" style=\"text-align: center;\"><img class=\"size-full wp-image-37 aligncenter\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\" width=\"700\" height=\"304\" /></p>\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at <a href=\"http://www.youtube.com/watch?v=4-l_wqmKRMI\">the promo</a> or <a title=\"Contact\" href=\"http://goyb.raycreative.com/contact/\">get in touch</a> to book!</p>\r\n<p class=\"page-caption\" style=\"text-align: center;\"><img class=\"aligncenter size-full wp-image-38\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL-e1376152462661.png\" width=\"700\" height=\"409\" /></p>\r\n\r\n<div class=\"homepagequotes clearfix\">[quoteRotator title=\"Testimonials\" delay=\"6\" fade=\"2\" fadeout=\"2\"]</div>", "Home", "", "publish", "closed", "open", "", "home", "", "", "2013-08-10 17:14:17", "2013-08-10 17:14:17", "", "0", "http://goyb.raycreative.com/?page_id=5", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("6", "1", "2013-08-03 19:41:47", "2013-08-03 19:41:47", "HOmepage", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 19:41:47", "2013-08-03 19:41:47", "", "5", "http://goyb.raycreative.com/?p=6", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("7", "1", "2013-08-03 19:41:53", "2013-08-03 19:41:53", "Homepage", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 19:41:53", "2013-08-03 19:41:53", "", "5", "http://goyb.raycreative.com/?p=7", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("8", "1", "2013-08-03 19:42:50", "2013-08-03 19:42:50", "  [zilla_one_third]<img class=\"size-large wp-image-94\" style=\"position: absolute; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" /> [/zilla_one_third] [zilla_two_third_last] Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children! He has spoken to well over a million children. His puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message. Marc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries! [/zilla_two_third_last] \r\n<h1 style=\"text-align: left; clear: left;\">AWARDS:</h1>\r\nHe has won numerous awards for his work:\r\n<h1><img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />", "Who is?", "", "publish", "closed", "closed", "", "who-is", "", "", "2013-08-20 05:18:48", "2013-08-20 05:18:48", "", "0", "http://goyb.raycreative.com/?page_id=8", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("9", "1", "2013-08-03 19:42:50", "2013-08-03 19:42:50", "Who is Mark Page", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-03 19:42:50", "2013-08-03 19:42:50", "", "8", "http://goyb.raycreative.com/?p=9", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("10", "1", "2013-08-03 19:43:07", "2013-08-03 19:43:07", "<img class=\"alignright  wp-image-50\" alt=\"7GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/7GoldLivePhotos_resized-500x333.jpg\" width=\"400\" height=\"266\" />\r\n\r\nChildren need more <strong>AFFIRMATION</strong>, more <strong>ASPIRATION</strong> and, as the Archbishop of Canterbury once encouraged me, more <strong>ADVENTURE</strong>!\r\n\r\nMy puppets love getting out their box and inspiring children to live amazing lives!\r\n\r\nWould you like your children to achieve better results? Would you like happier children and a happier school?\r\n\r\nWhy not own our inspirational DVDs for wet break, family time or an assembly? Or book us for a live event?\r\n\r\nI can\'t wait to bring my puppet family to meet your amazing children!\r\n\r\n<img class=\"size-full wp-image-156 alignnone\" alt=\"signature\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/signature.png\" width=\"355\" height=\"47\" />\r\n\r\n&nbsp;\r\n\r\n<hr />\r\n\r\n&nbsp;\r\n<h2>Marc working with children in the Philippines:</h2>\r\n<iframe src=\"//www.youtube.com/embed/ZCByTrzxIBo?rel=0\" height=\"315\" width=\"560\" allowfullscreen=\"\" frameborder=\"0\"></iframe>", "My Message", "", "publish", "closed", "open", "", "my-message", "", "", "2013-08-20 05:28:07", "2013-08-20 05:28:07", "", "0", "http://goyb.raycreative.com/?page_id=10", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("11", "1", "2013-08-03 19:43:07", "2013-08-03 19:43:07", "Marc\'s Message Page", "My Message", "", "inherit", "open", "open", "", "10-revision-v1", "", "", "2013-08-03 19:43:07", "2013-08-03 19:43:07", "", "10", "http://goyb.raycreative.com/?p=11", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("12", "1", "2013-08-03 19:43:33", "2013-08-03 19:43:33", "<p style=\"font-size: 16px; line-height: 21px;\">\'In my 26 years of being a head teacher that was the best thing that I have EVER had visit my school!\'\r\n- (Head teacher, Cornwall)</p>\r\nCurrent school assembly themes. Each show is approximately 40-minutes.\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-108 alignnone\" alt=\"I_AM_SPECIAL_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/I_AM_SPECIAL_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>I am Special</h2>\r\nKevin uses his ‘Good Choices Control’ and learns to take personal responsibility for his life. He can’t blame his pirate friends for his actions anymore. He learns to make good choices and believe how special he and others are.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis is a superb show that has visited over 1000 schools in Wales!\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-107 alignnone\" alt=\"GOLD_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/GOLD_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>GOLD</h2>\r\nGOLD is a fun, national award winning show, helping children understand who they are and how they work. Children identify with four animal behaviour types. They discover the GOLD in them and the GOLD in their friends.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis show has had astounding reviews from staff and head teachers. It won a national award. The DVD is used in leading UK children’s charities. You can watch a promo on the GOLD website. <a href=\"http://www.goldinme.com\">Visit the GOLD site!</a><a href=\"http://www.goldinme.com\">\r\n</a>\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-106\" alt=\"BULLYING_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/BULLYING_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Kevin’s Bullying Show pic</h2>\r\nKevin learns that he can make his school an amazing place! Children learn what bullying is, what to do if it happens to them and what to do if they see someone else being bullied. Kevin learns how to deal with a cyberbully and realises everyone is special.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\n‘My whole year 6 changed after they watched the show!’ (Head teacher, Cardiff)\r\n\r\nSample Primary school show: <a title=\"Watch a preview of the show!\" href=\"http://www.youtube.com/watch?v=AInFpt026ks\"> Watch a preview of the show!</a>\r\n\r\n&nbsp;\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-105\" alt=\"ASPIRATIONS_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations! “Yes we can!”</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for KS2 with a follow-up lesson for the older pupils.\r\n\r\nA powerful, creative, highly inspirational and totally life changing show!\r\n\r\nMarc &amp; Kevin’s Aspirations Podcast: <a href=\"http://www.youtube.com/watch?v=qchxtl_UBlI\">Watch Video</a>\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-104\" alt=\"ASPIRATIONS_SECONDARY_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SECONDARY_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations (For Secondary Schools)</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for secondary school PSE assembly and workshops.\r\n\r\nA powerful, creative, highly inspirational and totally life changing day!\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "Schools", "", "publish", "closed", "closed", "", "schools", "", "", "2013-08-10 17:25:12", "2013-08-10 17:25:12", "", "0", "http://goyb.raycreative.com/?page_id=12", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("13", "1", "2013-08-03 19:43:33", "2013-08-03 19:43:33", "Schools Page.", "Schools", "", "inherit", "open", "open", "", "12-revision-v1", "", "", "2013-08-03 19:43:33", "2013-08-03 19:43:33", "", "12", "http://goyb.raycreative.com/?p=13", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("14", "1", "2013-08-03 19:43:58", "2013-08-03 19:43:58", "TEST", "Vlog", "", "publish", "closed", "closed", "", "vlog", "", "", "2013-08-10 18:27:03", "2013-08-10 18:27:03", "", "0", "http://goyb.raycreative.com/?page_id=14", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("15", "1", "2013-08-03 19:43:58", "2013-08-03 19:43:58", "Vlog Page", "Vlog", "", "inherit", "open", "open", "", "14-revision-v1", "", "", "2013-08-03 19:43:58", "2013-08-03 19:43:58", "", "14", "http://goyb.raycreative.com/?p=15", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("16", "1", "2013-08-03 19:44:17", "2013-08-03 19:44:17", "<div class=\"clearfix\"><img class=\"alignright size-full wp-image-95\" alt=\"contact-marc\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/contact-marc.png\" width=\"144\" height=\"205\" />\r\n<img class=\"alignleft  wp-image-96\" alt=\"Doggy_Cutout1\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/Doggy_Cutout1-214x300.png\" width=\"171\" height=\"240\" />Feel free to email <a href=\"mailto: Info@getoutyourbox.com\">Info@getoutyourbox.com</a> or you can fill out the form below!</div>", "Contact", "", "publish", "open", "open", "", "contact", "", "", "2013-08-10 08:17:13", "2013-08-10 08:17:13", "", "0", "http://goyb.raycreative.com/?page_id=16", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("17", "1", "2013-08-03 19:44:17", "2013-08-03 19:44:17", "Contact Page...", "Contact", "", "inherit", "open", "open", "", "16-revision-v1", "", "", "2013-08-03 19:44:17", "2013-08-03 19:44:17", "", "16", "http://goyb.raycreative.com/?p=17", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("19", "1", "2013-08-03 19:45:10", "2013-08-03 19:45:10", " ", "", "", "publish", "open", "open", "", "19", "", "", "2013-08-03 19:47:34", "2013-08-03 19:47:34", "", "0", "http://goyb.raycreative.com/?p=19", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("20", "1", "2013-08-03 19:45:10", "2013-08-03 19:45:10", " ", "", "", "publish", "open", "open", "", "20", "", "", "2013-08-03 19:47:33", "2013-08-03 19:47:33", "", "0", "http://goyb.raycreative.com/?p=20", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("21", "1", "2013-08-03 19:45:10", "2013-08-03 19:45:10", " ", "", "", "publish", "open", "open", "", "21", "", "", "2013-08-03 19:47:33", "2013-08-03 19:47:33", "", "0", "http://goyb.raycreative.com/?p=21", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("22", "1", "2013-08-03 19:45:10", "2013-08-03 19:45:10", " ", "", "", "publish", "open", "open", "", "22", "", "", "2013-08-03 19:47:34", "2013-08-03 19:47:34", "", "0", "http://goyb.raycreative.com/?p=22", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("23", "1", "2013-08-03 19:45:10", "2013-08-03 19:45:10", " ", "", "", "publish", "open", "open", "", "23", "", "", "2013-08-03 19:47:34", "2013-08-03 19:47:34", "", "0", "http://goyb.raycreative.com/?p=23", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("24", "1", "2013-08-03 19:45:10", "2013-08-03 19:45:10", " ", "", "", "publish", "open", "open", "", "24", "", "", "2013-08-03 19:47:33", "2013-08-03 19:47:33", "", "0", "http://goyb.raycreative.com/?p=24", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("25", "1", "2013-08-03 19:47:33", "2013-08-03 19:47:33", "", "Resources", "", "publish", "open", "open", "", "resources", "", "", "2013-08-03 19:47:33", "2013-08-03 19:47:33", "", "0", "http://goyb.raycreative.com/?p=25", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("26", "1", "2013-08-03 19:53:46", "2013-08-03 19:53:46", "This page is not used Currently", "Portfolio Page", "", "publish", "closed", "open", "", "portfolio-page", "", "", "2013-08-10 17:14:17", "2013-08-10 17:14:17", "", "0", "http://goyb.raycreative.com/?page_id=26", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("27", "1", "2013-08-03 19:53:46", "2013-08-03 19:53:46", "This page is not used Currently", "Portfolio Page", "", "inherit", "open", "open", "", "26-revision-v1", "", "", "2013-08-03 19:53:46", "2013-08-03 19:53:46", "", "26", "http://goyb.raycreative.com/?p=27", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("28", "1", "2013-08-03 20:08:17", "2013-08-03 20:08:17", "", "Filming with Kevin around the world", "", "publish", "closed", "closed", "", "discovery-bug", "", "", "2013-08-10 16:45:53", "2013-08-10 16:45:53", "", "0", "http://goyb.raycreative.com/?post_type=portfolio&#038;p=28", "1", "portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("36", "1", "2013-08-03 20:09:23", "2013-08-03 20:09:23", "", "Helping Children in the Philippines", "", "publish", "closed", "closed", "", "sophie-and-marc", "", "", "2013-08-10 16:45:31", "2013-08-10 16:45:31", "", "0", "http://goyb.raycreative.com/?post_type=portfolio&#038;p=36", "0", "portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("37", "1", "2013-08-03 20:26:10", "2013-08-03 20:26:10", "", "MarcGriffithsNameGraphicFINAL", "", "inherit", "open", "open", "", "marcgriffithsnamegraphicfinal", "", "", "2013-08-03 20:26:10", "2013-08-03 20:26:10", "", "5", "http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("38", "1", "2013-08-03 20:26:54", "2013-08-03 20:26:54", "", "WorldsNumberOne_FINAL", "", "inherit", "open", "open", "", "worldsnumberone_final", "", "", "2013-08-03 20:26:54", "2013-08-03 20:26:54", "", "5", "http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("40", "1", "2013-08-03 20:29:02", "2013-08-03 20:29:02", "<p style=\"text-align: center;\"><img class=\"size-large wp-image-37 aligncenter\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-500x217.png\" width=\"500\" height=\"217\" /></p>\r\n<p style=\"text-align: center;\"><img class=\"alignnone size-large wp-image-38\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL-500x292.png\" width=\"500\" height=\"292\" /></p>\r\n<p class=\"page-caption\">\r\nCommunicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!\r\n&nbsp;\r\nTake a peek at the promo or get in touch to book!\r\n</p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 20:29:02", "2013-08-03 20:29:02", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("41", "1", "2013-08-03 20:34:21", "2013-08-03 20:34:21", "<img class=\"alignnone  wp-image-37\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL.png\" width=\"800\" height=\"348\" />\r\n\r\n<img class=\"alignnone  wp-image-38\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL.png\" width=\"800\" height=\"468\" />\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!\r\n\r\nTake a peek at the promo or get in touch to book!</p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 20:34:21", "2013-08-03 20:34:21", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("42", "1", "2013-08-03 21:13:20", "2013-08-03 21:13:20", "<img class=\"alignnone  wp-image-37\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL.png\" width=\"640\" height=\"278\" />\r\n\r\n<img class=\"alignnone  wp-image-38\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL.png\" width=\"640\" height=\"374\" />\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\nTake a peek at the promo or get in touch to book!", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 21:13:20", "2013-08-03 21:13:20", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("43", "1", "2013-08-03 21:16:37", "2013-08-03 21:16:37", "<img class=\"alignnone size-full wp-image-37\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\" width=\"700\" height=\"304\" />\r\n\r\n<img class=\"alignnone  wp-image-38\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL.png\" width=\"640\" height=\"374\" />\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\nTake a peek at the promo or get in touch to book!", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 21:16:37", "2013-08-03 21:16:37", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("44", "1", "2013-08-03 21:23:28", "2013-08-03 21:23:28", "<img class=\"size-full wp-image-37 aligncenter\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\" width=\"700\" height=\"304\" />\r\n\r\n<img class=\"wp-image-38 aligncenter\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL.png\" width=\"640\" height=\"374\" />\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\nTake a peek at the promo or get in touch to book!", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 21:23:28", "2013-08-03 21:23:28", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("45", "1", "2013-08-03 21:24:26", "2013-08-03 21:24:26", "<img class=\"size-full wp-image-37 aligncenter\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\" width=\"700\" height=\"304\" />\r\n\r\n<img class=\"wp-image-38 aligncenter\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL.png\" width=\"640\" height=\"374\" />\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 21:24:26", "2013-08-03 21:24:26", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("46", "1", "2013-08-03 21:24:50", "2013-08-03 21:24:50", "<img class=\"size-full wp-image-37 aligncenter\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\" width=\"700\" height=\"304\" />\r\n\r\n<img class=\"wp-image-38 aligncenter\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL.png\" width=\"640\" height=\"374\" />\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\"></p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 21:24:50", "2013-08-03 21:24:50", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("47", "1", "2013-08-03 21:32:30", "2013-08-03 21:32:30", "", "2sophiemarc_resized", "", "inherit", "open", "open", "", "2sophiemarc_resized", "", "", "2013-08-03 21:32:30", "2013-08-03 21:32:30", "", "0", "http://goyb.raycreative.com/wp-content/uploads/2013/08/2sophiemarc_resized.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("48", "1", "2013-08-03 21:32:30", "2013-08-03 21:32:30", "", "5balls_resized", "", "inherit", "open", "open", "", "5balls_resized", "", "", "2013-08-03 21:32:30", "2013-08-03 21:32:30", "", "0", "http://goyb.raycreative.com/wp-content/uploads/2013/08/5balls_resized.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("49", "1", "2013-08-03 21:32:32", "2013-08-03 21:32:32", "", "8GoldLivePhotos_resized", "", "inherit", "open", "open", "", "8goldlivephotos_resized", "", "", "2013-08-03 21:32:32", "2013-08-03 21:32:32", "", "0", "http://goyb.raycreative.com/wp-content/uploads/2013/08/8GoldLivePhotos_resized.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("50", "1", "2013-08-03 21:32:33", "2013-08-03 21:32:33", "", "7GoldLivePhotos_resized", "", "inherit", "open", "open", "", "7goldlivephotos_resized", "", "", "2013-08-03 21:32:33", "2013-08-03 21:32:33", "", "10", "http://goyb.raycreative.com/wp-content/uploads/2013/08/7GoldLivePhotos_resized.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("51", "1", "2013-08-03 21:32:34", "2013-08-03 21:32:34", "", "6GoldLivePhotos_resized", "", "inherit", "open", "open", "", "6goldlivephotos_resized", "", "", "2013-08-03 21:32:34", "2013-08-03 21:32:34", "", "8", "http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("52", "1", "2013-08-03 21:32:36", "2013-08-03 21:32:36", "", "3bear", "", "inherit", "open", "open", "", "3bear", "", "", "2013-08-03 21:32:36", "2013-08-03 21:32:36", "", "0", "http://goyb.raycreative.com/wp-content/uploads/2013/08/3bear.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("53", "1", "2013-08-03 21:32:37", "2013-08-03 21:32:37", "", "1discoverybug_resized", "", "inherit", "open", "open", "", "1discoverybug_resized", "", "", "2013-08-03 21:32:37", "2013-08-03 21:32:37", "", "0", "http://goyb.raycreative.com/wp-content/uploads/2013/08/1discoverybug_resized.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("54", "1", "2013-08-03 21:33:18", "2013-08-03 21:33:18", "", "\"Munch the Bear\" - one of my amazing puppets!", "", "publish", "closed", "closed", "", "bear", "", "", "2013-08-10 16:58:05", "2013-08-10 16:58:05", "", "0", "http://goyb.raycreative.com/?post_type=portfolio&#038;p=54", "2", "portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("55", "1", "2013-08-03 21:34:03", "2013-08-03 21:34:03", "", "How do you feel today? You\'re still special!", "", "publish", "closed", "closed", "", "face-balls", "", "", "2013-08-10 16:47:35", "2013-08-10 16:47:35", "", "0", "http://goyb.raycreative.com/?post_type=portfolio&#038;p=55", "3", "portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("56", "1", "2013-08-03 21:34:42", "2013-08-03 21:34:42", "", "Showtime!", "", "publish", "closed", "closed", "", "live-photo-1", "", "", "2013-08-10 16:47:51", "2013-08-10 16:47:51", "", "0", "http://goyb.raycreative.com/?post_type=portfolio&#038;p=56", "4", "portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("57", "1", "2013-08-03 21:35:16", "2013-08-03 21:35:16", "", "Having fun!", "", "publish", "closed", "closed", "", "live-photo-2", "", "", "2013-08-10 16:48:36", "2013-08-10 16:48:36", "", "0", "http://goyb.raycreative.com/?post_type=portfolio&#038;p=57", "5", "portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("58", "1", "2013-08-03 21:35:54", "2013-08-03 21:35:54", "", "\"Hi everyone! This is such a great show!\"", "", "publish", "closed", "closed", "", "live-photo-3", "", "", "2013-08-10 16:49:09", "2013-08-10 16:49:09", "", "0", "http://goyb.raycreative.com/?post_type=portfolio&#038;p=58", "6", "portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("59", "1", "2013-08-03 21:36:07", "2013-08-03 21:36:07", "", "Auto Draft", "", "trash", "open", "open", "", "auto-draft", "", "", "2013-08-03 21:36:24", "2013-08-03 21:36:24", "", "0", "http://goyb.raycreative.com/?post_type=portfolio&#038;p=59", "0", "portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("60", "1", "2013-08-03 21:46:28", "2013-08-03 21:46:28", "", "\'If anything could be funnier it would be a world record!\'", "", "publish", "closed", "closed", "", "if-anything-could-be-funnier-it-would-be-a-world-record", "", "", "2013-08-03 21:46:28", "2013-08-03 21:46:28", "", "0", "http://goyb.raycreative.com/?post_type=perfect-quotes&#038;p=60", "0", "perfect-quotes", "", "0");
INSERT INTO `wp_posts` VALUES("61", "1", "2013-08-03 21:46:51", "2013-08-03 21:46:51", "", "\'In my 26 years of being a head teacher that was the best thing that I have EVER had visit my school!\'", "", "publish", "closed", "closed", "", "in-my-26-years-of-being-a-head-teacher-that-was-the-best-thing-that-i-have-ever-had-visit-my-school", "", "", "2013-08-03 21:46:51", "2013-08-03 21:46:51", "", "0", "http://goyb.raycreative.com/?post_type=perfect-quotes&#038;p=61", "0", "perfect-quotes", "", "0");
INSERT INTO `wp_posts` VALUES("62", "1", "2013-08-03 21:47:10", "2013-08-03 21:47:10", "", "\'Reviews don\'t do him justice - just go and see him!\'", "", "publish", "closed", "closed", "", "reviews-dont-do-him-justice-just-go-and-see-him", "", "", "2013-08-03 21:47:10", "2013-08-03 21:47:10", "", "0", "http://goyb.raycreative.com/?post_type=perfect-quotes&#038;p=62", "0", "perfect-quotes", "", "0");
INSERT INTO `wp_posts` VALUES("63", "1", "2013-08-03 21:47:27", "2013-08-03 21:47:27", "", "\'Marc has spoken to over a million children! He is unique, excellent and children remember his messages!\' ", "", "publish", "closed", "closed", "", "marc-has-spoken-to-over-a-million-children-he-is-unique-excellent-and-children-remember-his-messages", "", "", "2013-08-03 21:47:27", "2013-08-03 21:47:27", "", "0", "http://goyb.raycreative.com/?post_type=perfect-quotes&#038;p=63", "0", "perfect-quotes", "", "0");
INSERT INTO `wp_posts` VALUES("64", "1", "2013-08-03 21:47:44", "2013-08-03 21:47:44", "", "\'As good as any vent Ive ever seen!\'", "", "publish", "closed", "closed", "", "as-good-as-any-vent-ive-ever-seen", "", "", "2013-08-03 21:47:44", "2013-08-03 21:47:44", "", "0", "http://goyb.raycreative.com/?post_type=perfect-quotes&#038;p=64", "0", "perfect-quotes", "", "0");
INSERT INTO `wp_posts` VALUES("65", "1", "2013-08-03 21:47:58", "2013-08-03 21:47:58", "", "\"I couldn\'t stop laughing! I was crying! The best show Ive ever seen!\"", "", "publish", "closed", "closed", "", "65", "", "", "2013-08-03 21:48:19", "2013-08-03 21:48:19", "", "0", "http://goyb.raycreative.com/?post_type=perfect-quotes&#038;p=65", "0", "perfect-quotes", "", "0");
INSERT INTO `wp_posts` VALUES("66", "1", "2013-08-03 21:48:33", "2013-08-03 21:48:33", "", "\"Oh my goodness! The way you hold their attention! Incredible! You really are amazing!\"", "", "publish", "closed", "closed", "", "oh-my-goodness-the-way-you-hold-their-attention-incredible-you-really-are-amazing", "", "", "2013-08-03 21:48:33", "2013-08-03 21:48:33", "", "0", "http://goyb.raycreative.com/?post_type=perfect-quotes&#038;p=66", "0", "perfect-quotes", "", "0");
INSERT INTO `wp_posts` VALUES("67", "1", "2013-08-03 21:48:56", "2013-08-03 21:48:56", "", "\"That little girl hasn\'t spoken ALL YEAR, but in your show she spoke for the FIRST TIME!\"", "", "publish", "closed", "closed", "", "that-little-girl-hasnt-spoken-all-year-but-in-your-show-she-spoke-for-the-first-time", "", "", "2013-08-03 21:48:56", "2013-08-03 21:48:56", "", "0", "http://goyb.raycreative.com/?post_type=perfect-quotes&#038;p=67", "0", "perfect-quotes", "", "0");
INSERT INTO `wp_posts` VALUES("68", "1", "2013-08-03 21:49:11", "2013-08-03 21:49:11", "", "\'You are really excellent!\'", "", "publish", "closed", "closed", "", "you-are-really-excellent", "", "", "2013-08-03 21:49:11", "2013-08-03 21:49:11", "", "0", "http://goyb.raycreative.com/?post_type=perfect-quotes&#038;p=68", "0", "perfect-quotes", "", "0");
INSERT INTO `wp_posts` VALUES("69", "1", "2013-08-03 21:49:30", "2013-08-03 21:49:30", "", "\'You were very good. Funny!\'", "", "publish", "closed", "closed", "", "you-were-very-good-funny", "", "", "2013-08-03 21:49:30", "2013-08-03 21:49:30", "", "0", "http://goyb.raycreative.com/?post_type=perfect-quotes&#038;p=69", "0", "perfect-quotes", "", "0");
INSERT INTO `wp_posts` VALUES("70", "1", "2013-08-03 21:50:26", "2013-08-03 21:50:26", "<img class=\"size-full wp-image-37 aligncenter\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\" width=\"700\" height=\"304\" />\r\n\r\n<img class=\"wp-image-38 aligncenter\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL.png\" width=\"640\" height=\"374\" />\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>\r\n<p class=\"page-caption\">[perfect_quotes num=\"all\" random=\"true\"]</p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 21:50:26", "2013-08-03 21:50:26", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("71", "1", "2013-08-03 21:52:37", "2013-08-03 21:52:37", "<img class=\"size-full wp-image-37 aligncenter\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\" width=\"700\" height=\"304\" />\r\n\r\n<img class=\"wp-image-38 aligncenter\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL.png\" width=\"640\" height=\"374\" />\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>\r\n<p class=\"page-caption\">[perfect_quotes num=\"3\" random=\"true\"]</p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 21:52:37", "2013-08-03 21:52:37", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("72", "1", "2013-08-03 21:53:55", "2013-08-03 21:53:55", "<img class=\"size-full wp-image-37 aligncenter\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\" width=\"700\" height=\"304\" />\r\n\r\n<img class=\"wp-image-38 aligncenter\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL.png\" width=\"640\" height=\"374\" />\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 21:53:55", "2013-08-03 21:53:55", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("73", "1", "2013-08-03 21:59:52", "2013-08-03 21:59:52", "<img class=\"size-full wp-image-37 aligncenter\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\" width=\"700\" height=\"304\" />\r\n\r\n<img class=\"wp-image-38 aligncenter\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL.png\" width=\"640\" height=\"374\" />\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>\r\n<p class=\"page-caption\" style=\"text-align: center;\"><code>[quoteRotator title=\"Testimonials\" delay=\"8\" fade=\"4\" fadeout=\"2\"]</code></p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 21:59:52", "2013-08-03 21:59:52", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("74", "1", "2013-08-03 22:01:25", "2013-08-03 22:01:25", "<img class=\"size-full wp-image-37 aligncenter\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\" width=\"700\" height=\"304\" />\r\n\r\n<img class=\"wp-image-38 aligncenter\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL.png\" width=\"640\" height=\"374\" />\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>\r\n<p style=\"text-align: center; width: 500px; margin: 2rem 0;\">[quoteRotator title=\"Testimonials\" delay=\"8\" fade=\"4\" fadeout=\"2\"]<</p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 22:01:25", "2013-08-03 22:01:25", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("75", "1", "2013-08-03 22:01:50", "2013-08-03 22:01:50", "<img class=\"size-full wp-image-37 aligncenter\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\" width=\"700\" height=\"304\" />\r\n\r\n<img class=\"wp-image-38 aligncenter\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL.png\" width=\"640\" height=\"374\" />\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>\r\n<p style=\"text-align: center; width: 500px; margin: 2rem auto;\">[quoteRotator title=\"Testimonials\" delay=\"8\" fade=\"4\" fadeout=\"2\"]</p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 22:01:50", "2013-08-03 22:01:50", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("77", "1", "2013-08-03 22:07:51", "2013-08-03 22:07:51", "<p class=\"page-caption\"><img class=\"alignnone size-full wp-image-76\" alt=\"Hero\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/Hero.png\" width=\"700\" height=\"555\" /></p>\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>\r\n<p style=\"text-align: center; width: 500px; margin: 2rem auto;\">[quoteRotator title=\"Testimonials\" delay=\"8\" fade=\"4\" fadeout=\"2\"]</p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 22:07:51", "2013-08-03 22:07:51", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("78", "1", "2013-08-03 22:07:56", "2013-08-03 22:07:56", "<p class=\"page-caption\"><img class=\"size-full wp-image-76 aligncenter\" alt=\"Hero\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/Hero.png\" width=\"700\" height=\"555\" /></p>\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>\r\n<p style=\"text-align: center; width: 500px; margin: 2rem auto;\">[quoteRotator title=\"Testimonials\" delay=\"8\" fade=\"4\" fadeout=\"2\"]</p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 22:07:56", "2013-08-03 22:07:56", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79", "1", "2013-08-03 22:28:42", "2013-08-03 22:28:42", "", "Hero", "", "inherit", "open", "open", "", "hero-2", "", "", "2013-08-03 22:28:42", "2013-08-03 22:28:42", "", "5", "http://goyb.raycreative.com/wp-content/uploads/2013/08/Hero1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("80", "1", "2013-08-03 22:28:51", "2013-08-03 22:28:51", "<p class=\"page-caption\"><img class=\"alignnone size-full wp-image-79\" alt=\"Hero\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/Hero1.png\" width=\"700\" height=\"555\" /></p>\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>\r\n<p style=\"text-align: center; width: 500px; margin: 2rem auto;\">[quoteRotator title=\"Testimonials\" delay=\"8\" fade=\"4\" fadeout=\"2\"]</p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 22:28:51", "2013-08-03 22:28:51", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("81", "1", "2013-08-03 22:28:55", "2013-08-03 22:28:55", "<p class=\"page-caption\"><img class=\"size-full wp-image-79 aligncenter\" alt=\"Hero\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/Hero1.png\" width=\"700\" height=\"555\" /></p>\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>\r\n<p style=\"text-align: center; width: 500px; margin: 2rem auto;\">[quoteRotator title=\"Testimonials\" delay=\"8\" fade=\"4\" fadeout=\"2\"]</p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-03 22:28:55", "2013-08-03 22:28:55", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("82", "1", "2013-08-10 05:46:31", "2013-08-10 05:46:31", "<p class=\"page-caption\"><img class=\"size-full wp-image-79 aligncenter\" alt=\"Hero\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/Hero1.png\" width=\"700\" height=\"555\" /></p>\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>\r\n<p style=\"text-align: center; width: 500px; margin: 2rem auto;\">[quoteRotator title=\"Testimonials\" delay=\"6\" fade=\"2\" fadeout=\"2\"]</p>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-10 05:46:31", "2013-08-10 05:46:31", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("84", "1", "2013-08-10 05:48:46", "2013-08-10 05:48:46", "<p class=\"page-caption\"><img class=\"size-full wp-image-79 aligncenter\" alt=\"Hero\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/Hero1.png\" width=\"700\" height=\"555\" /></p>\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>\r\n<div class=\"home-page-columns clearfix\" style=\"text-align: center; width: 500px; margin: 2rem auto;\">[quoteRotator title=\"Testimonials\" delay=\"6\" fade=\"2\" fadeout=\"2\"]</div>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-10 05:48:46", "2013-08-10 05:48:46", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("85", "1", "2013-08-10 05:50:38", "2013-08-10 05:50:38", "<p class=\"page-caption\"><img class=\"size-full wp-image-79 aligncenter\" alt=\"Hero\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/Hero1.png\" width=\"700\" height=\"555\" /></p>\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>\r\n<div class=\"homepagequotes clearfix\" style=\"text-align: center; width: 500px; margin: 2rem auto;\">[quoteRotator title=\"Testimonials\" delay=\"6\" fade=\"2\" fadeout=\"2\"]</div>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-10 05:50:38", "2013-08-10 05:50:38", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("86", "1", "2013-08-10 05:52:19", "2013-08-10 05:52:19", "<p class=\"page-caption\"><img class=\"size-full wp-image-79 aligncenter\" alt=\"Hero\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/Hero1.png\" width=\"700\" height=\"555\" /></p>\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at the promo or get in touch to book!</p>\r\n<div class=\"homepagequotes clearfix\">[quoteRotator title=\"Testimonials\" delay=\"6\" fade=\"2\" fadeout=\"2\"]</div>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-10 05:52:19", "2013-08-10 05:52:19", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("87", "1", "2013-08-10 06:14:22", "2013-08-10 06:14:22", "", "National_Award_Winner_DVD_SEAL-250", "", "inherit", "open", "open", "", "national_award_winner_dvd_seal-250", "", "", "2013-08-10 06:14:22", "2013-08-10 06:14:22", "", "8", "http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("88", "1", "2013-08-10 06:14:23", "2013-08-10 06:14:23", "", "Promo-Picture", "", "inherit", "open", "open", "", "promo-picture", "", "", "2013-08-10 06:14:23", "2013-08-10 06:14:23", "", "0", "http://goyb.raycreative.com/wp-content/uploads/2013/08/Promo-Picture.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("89", "1", "2013-08-10 06:14:24", "2013-08-10 06:14:24", "", "GOYB-colum", "", "inherit", "open", "open", "", "boyb-colum", "", "", "2013-08-10 06:14:24", "2013-08-10 06:14:24", "", "0", "http://goyb.raycreative.com/wp-content/uploads/2013/08/BOYB-colum.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("90", "1", "2013-08-10 06:14:25", "2013-08-10 06:14:25", "", "Gold-Logo", "", "inherit", "open", "open", "", "gold-logo", "", "", "2013-08-10 06:14:25", "2013-08-10 06:14:25", "", "0", "http://goyb.raycreative.com/wp-content/uploads/2013/08/Gold-Logo.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("93", "1", "2013-08-20 05:18:42", "2013-08-20 05:18:42", "  [zilla_one_third]<img class=\"size-large wp-image-94\" style=\"position: absolute; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" /> [/zilla_one_third] [zilla_two_third_last] Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children! He has spoken to well over a million children. His puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message. Marc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries! [/zilla_two_third_last] \r\n<h1 style=\"text-align: left; clear: left;\">AWARDS:</h1>\r\nHe has won numerous awards for his work:\r\n<h1><img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />", "Who is?", "", "inherit", "open", "open", "", "8-autosave-v1", "", "", "2013-08-20 05:18:42", "2013-08-20 05:18:42", "", "8", "http://goyb.raycreative.com/8-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("94", "1", "2013-08-10 07:43:40", "2013-08-10 07:43:40", "", "MarkWithGorilla", "", "inherit", "open", "open", "", "markwithgorilla", "", "", "2013-08-10 07:43:40", "2013-08-10 07:43:40", "", "8", "http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("95", "1", "2013-08-10 07:43:45", "2013-08-10 07:43:45", "", "contact-marc", "", "inherit", "open", "open", "", "contact-marc", "", "", "2013-08-10 07:43:45", "2013-08-10 07:43:45", "", "16", "http://goyb.raycreative.com/wp-content/uploads/2013/08/contact-marc.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("96", "1", "2013-08-10 07:44:30", "2013-08-10 07:44:30", "", "Doggy_Cutout1", "", "inherit", "open", "open", "", "doggy_cutout1", "", "", "2013-08-10 07:44:30", "2013-08-10 07:44:30", "", "16", "http://goyb.raycreative.com/wp-content/uploads/2013/08/Doggy_Cutout1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("97", "1", "2013-08-10 07:44:34", "2013-08-10 07:44:34", "", "3bear", "", "inherit", "open", "open", "", "3bear-2", "", "", "2013-08-10 07:44:34", "2013-08-10 07:44:34", "", "0", "http://goyb.raycreative.com/wp-content/uploads/2013/08/3bear1.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("98", "1", "2013-08-10 07:46:08", "2013-08-10 07:46:08", "<img class=\"alignleft size-medium wp-image-94\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-223x300.png\" width=\"223\" height=\"300\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n\r\n&nbsp;\r\n\r\n<h1>AWARDS:</h1> He has won numerous awards for his work:\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012<img class=\"size-medium wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-300x200.jpg\" width=\"300\" height=\"200\" /></li>\r\n</ul>\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 07:46:08", "2013-08-10 07:46:08", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("99", "1", "2013-08-10 07:47:50", "2013-08-10 07:47:50", "<img class=\"size-large wp-image-94 alignleft\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n\r\n&nbsp;\r\n<h1></h1>\r\n<h1></h1>\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h1></h1>\r\n<h1></h1>\r\n<h1>AWARDS:<img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\nHe has won numerous awards for his work:\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 07:47:50", "2013-08-10 07:47:50", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("100", "1", "2013-08-10 07:48:21", "2013-08-10 07:48:21", "<img class=\"size-large wp-image-94 alignleft\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n\r\n&nbsp;\r\n<h1></h1>\r\n<h1></h1>\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h1></h1>\r\n<h1></h1>\r\n<h1>AWARDS:<img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\nHe has won numerous awards for his work:\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 07:48:21", "2013-08-10 07:48:21", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("101", "1", "2013-08-20 05:28:05", "2013-08-20 05:28:05", "<img class=\"alignright  wp-image-50\" alt=\"7GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/7GoldLivePhotos_resized-500x333.jpg\" width=\"400\" height=\"266\" />\n\nChildren need more <strong>AFFIRMATION</strong>, more <strong>ASPIRATION</strong> and, as the Archbishop of Canterbury once encouraged me, more <strong>ADVENTURE</strong>!\n\nMy puppets love getting out their box and inspiring children to live amazing lives!\n\nWould you like your children to achieve better results? Would you like happier children and a happier school?\n\nWhy not own our inspirational DVDs for wet break, family time or an assembly? Or book us for a live event?\n\nI can\'t wait to bring my puppet family to meet your amazing children!\n\n<img class=\"size-full wp-image-156 alignnone\" alt=\"signature\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/signature.png\" width=\"355\" height=\"47\" />\n\n&nbsp;\n\n<hr />\n\n&nbsp;\n<h2>Marc working with children in the Philippines:</h2>\n<iframe src=\"//www.youtube.com/embed/ZCByTrzxIBo?rel=0\" height=\"315\" width=\"560\" allowfullscreen=\"\" frameborder=\"0\"></iframe>", "My Message", "", "inherit", "open", "open", "", "10-autosave-v1", "", "", "2013-08-20 05:28:05", "2013-08-20 05:28:05", "", "10", "http://goyb.raycreative.com/10-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("102", "1", "2013-08-10 07:52:43", "2013-08-10 07:52:43", "<img class=\"alignright  wp-image-50\" alt=\"7GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/7GoldLivePhotos_resized-500x333.jpg\" width=\"400\" height=\"266\" />\r\n\r\nChildren need more <strong>AFFIRMATION</strong>, more <strong>ASPIRATION</strong> and, as the Archbishop of Canterbury once encouraged me, more <strong>ADVENTURE</strong>!\r\n\r\nMy puppets love getting out their box and inspiring children to live amazing lives!\r\n\r\nWould you like your children to achieve better results? Would you like happier children and a happier school?\r\n\r\nWhy not own our inspirational DVDs for wet break, family time or an assembly? Or book us for a live event?\r\n\r\nI can\'t wait to bring my puppet family to meet your amazing children!\r\n\r\nMarc\r\n\r\n<img class=\"alignnone size-medium wp-image-37\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-300x130.png\" width=\"300\" height=\"130\" />\r\n\r\n&nbsp;\r\n\r\n<hr />\r\n\r\n&nbsp;\r\n<h2>Marc working with children in the Philippines:</h2>\r\nhttp://www.youtube.com/watch?v=ZCByTrzxIBo", "My Message", "", "inherit", "open", "open", "", "10-revision-v1", "", "", "2013-08-10 07:52:43", "2013-08-10 07:52:43", "", "10", "http://goyb.raycreative.com/10-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("103", "1", "2013-08-10 08:07:22", "2013-08-10 08:07:22", "<h3>\'In my 26 years of being a head teacher that was the best thing that I have EVER had visit my school!\' (Head teacher, Cornwall)</h3>\r\nHere are the current school assembly themes. Each show is approximately 40-minutes.\r\n\r\n(Show the following 5 shows as pictures on the left and the explanation of each on the right)\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-108 alignnone\" alt=\"I_AM_SPECIAL_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/I_AM_SPECIAL_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>I am Special</h2>\r\nKevin uses his ‘Good Choices Control’ and learns to take personal responsibility for his life. He can’t blame his pirate friends for his actions anymore. He learns to make good choices and believe how special he and others are.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis is a superb show that has visited over 1000 schools in Wales!\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-107 alignnone\" alt=\"GOLD_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/GOLD_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>GOLD</h2>\r\nGOLD is a fun, national award winning show, helping children understand who they are and how they work. Children identify with four animal behaviour types. They discover the GOLD in them and the GOLD in their friends.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis show has had astounding reviews from staff and head teachers. It won a national award. The DVD is used in leading UK children’s charities. You can watch a promo on the GOLD website. (the gold promo video pop up)\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-106\" alt=\"BULLYING_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/BULLYING_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Kevin’s Bullying Show pic</h2>\r\nKevin learns that he can make his school an amazing place! Children learn what bullying is, what to do if it happens to them and what to do if they see someone else being bullied. Kevin learns how to deal with a cyberbully and realises everyone is special.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\n‘My whole year 6 changed after they watched the show!’ (Head teacher, Cardiff)\r\n\r\nSample Primary school show: <a title=\"Watch a preview of the show!\" href=\"http://www.youtube.com/watch?v=AInFpt026ks\"> Watch a preview of the show!</a>\r\n\r\n&nbsp;\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-105\" alt=\"ASPIRATIONS_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations! “Yes we can!”</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for KS2 with a follow-up lesson for the older pupils.\r\n\r\nA powerful, creative, highly inspirational and totally life changing show!\r\n\r\nMarc &amp; Kevin’s Aspirations Podcast: <a href=\"http://www.youtube.com/watch?v=qchxtl_UBlI\">Watch Video</a>\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-104\" alt=\"ASPIRATIONS_SECONDARY_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SECONDARY_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations (For Secondary Schools)</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for secondary school PSE assembly and workshops.\r\n\r\nA powerful, creative, highly inspirational and totally life changing day!\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "Schools", "", "inherit", "open", "open", "", "12-autosave-v1", "", "", "2013-08-10 08:07:22", "2013-08-10 08:07:22", "", "12", "http://goyb.raycreative.com/12-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("104", "1", "2013-08-10 07:57:50", "2013-08-10 07:57:50", "", "ASPIRATIONS_SECONDARY_SHOW_Web_Image", "", "inherit", "open", "open", "", "aspirations_secondary_show_web_image", "", "", "2013-08-10 07:57:50", "2013-08-10 07:57:50", "", "12", "http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SECONDARY_SHOW_Web_Image.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("105", "1", "2013-08-10 07:57:52", "2013-08-10 07:57:52", "", "ASPIRATIONS_SHOW_Web_Image", "", "inherit", "open", "open", "", "aspirations_show_web_image", "", "", "2013-08-10 07:57:52", "2013-08-10 07:57:52", "", "12", "http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SHOW_Web_Image.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("106", "1", "2013-08-10 07:57:52", "2013-08-10 07:57:52", "", "BULLYING_SHOW_Web_Image", "", "inherit", "open", "open", "", "bullying_show_web_image", "", "", "2013-08-10 07:57:52", "2013-08-10 07:57:52", "", "12", "http://goyb.raycreative.com/wp-content/uploads/2013/08/BULLYING_SHOW_Web_Image.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("107", "1", "2013-08-10 07:57:53", "2013-08-10 07:57:53", "", "GOLD_SHOW_Web_Image", "", "inherit", "open", "open", "", "gold_show_web_image", "", "", "2013-08-10 07:57:53", "2013-08-10 07:57:53", "", "12", "http://goyb.raycreative.com/wp-content/uploads/2013/08/GOLD_SHOW_Web_Image.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("108", "1", "2013-08-10 07:57:54", "2013-08-10 07:57:54", "", "I_AM_SPECIAL_SHOW_Web_Image", "", "inherit", "open", "open", "", "i_am_special_show_web_image", "", "", "2013-08-10 07:57:54", "2013-08-10 07:57:54", "", "12", "http://goyb.raycreative.com/wp-content/uploads/2013/08/I_AM_SPECIAL_SHOW_Web_Image.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("109", "1", "2013-08-10 08:07:15", "2013-08-10 08:07:15", "<h3>\'In my 26 years of being a head teacher that was the best thing that I have EVER had visit my school!\' (Head teacher, Cornwall)</h3>\r\nHere are the current school assembly themes. Each show is approximately 40-minutes.\r\n\r\n(Show the following 5 shows as pictures on the left and the explanation of each on the right)\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-108 alignnone\" alt=\"I_AM_SPECIAL_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/I_AM_SPECIAL_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>I am Special</h2>\r\nKevin uses his ‘Good Choices Control’ and learns to take personal responsibility for his life. He can’t blame his pirate friends for his actions anymore. He learns to make good choices and believe how special he and others are.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis is a superb show that has visited over 1000 schools in Wales!\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-107 alignnone\" alt=\"GOLD_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/GOLD_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>GOLD</h2>\r\nGOLD is a fun, national award winning show, helping children understand who they are and how they work. Children identify with four animal behaviour types. They discover the GOLD in them and the GOLD in their friends.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis show has had astounding reviews from staff and head teachers. It won a national award. The DVD is used in leading UK children’s charities. You can watch a promo on the GOLD website. (the gold promo video pop up)\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-106\" alt=\"BULLYING_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/BULLYING_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Kevin’s Bullying Show pic</h2>\r\nKevin learns that he can make his school an amazing place! Children learn what bullying is, what to do if it happens to them and what to do if they see someone else being bullied. Kevin learns how to deal with a cyberbully and realises everyone is special.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\n‘My whole year 6 changed after they watched the show!’ (Head teacher, Cardiff)\r\n\r\nSample Primary school show: <a title=\"Watch a preview of the show!\" href=\"http://www.youtube.com/watch?v=AInFpt026ks\"> Watch a preview of the show!</a>\r\n\r\n&nbsp;\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-105\" alt=\"ASPIRATIONS_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations! “Yes we can!”</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for KS2 with a follow-up lesson for the older pupils.\r\n\r\nA powerful, creative, highly inspirational and totally life changing show!\r\n\r\nMarc &amp; Kevin’s Aspirations Podcast: <a href=\"http://www.youtube.com/watch?v=qchxtl_UBlI\">Watch Video</a>\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-104\" alt=\"ASPIRATIONS_SECONDARY_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SECONDARY_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations (For Secondary Schools)</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for secondary school PSE assembly and workshops.\r\n\r\nA powerful, creative, highly inspirational and totally life changing day!\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "Schools", "", "inherit", "open", "open", "", "12-revision-v1", "", "", "2013-08-10 08:07:15", "2013-08-10 08:07:15", "", "12", "http://goyb.raycreative.com/12-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("110", "1", "2013-08-10 08:07:54", "2013-08-10 08:07:54", "<h3>\'In my 26 years of being a head teacher that was the best thing that I have EVER had visit my school!\' (Head teacher, Cornwall)</h3>\r\nCurrent school assembly themes. Each show is approximately 40-minutes.\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-108 alignnone\" alt=\"I_AM_SPECIAL_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/I_AM_SPECIAL_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>I am Special</h2>\r\nKevin uses his ‘Good Choices Control’ and learns to take personal responsibility for his life. He can’t blame his pirate friends for his actions anymore. He learns to make good choices and believe how special he and others are.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis is a superb show that has visited over 1000 schools in Wales!\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-107 alignnone\" alt=\"GOLD_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/GOLD_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>GOLD</h2>\r\nGOLD is a fun, national award winning show, helping children understand who they are and how they work. Children identify with four animal behaviour types. They discover the GOLD in them and the GOLD in their friends.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis show has had astounding reviews from staff and head teachers. It won a national award. The DVD is used in leading UK children’s charities. You can watch a promo on the GOLD website. (the gold promo video pop up)\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-106\" alt=\"BULLYING_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/BULLYING_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Kevin’s Bullying Show pic</h2>\r\nKevin learns that he can make his school an amazing place! Children learn what bullying is, what to do if it happens to them and what to do if they see someone else being bullied. Kevin learns how to deal with a cyberbully and realises everyone is special.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\n‘My whole year 6 changed after they watched the show!’ (Head teacher, Cardiff)\r\n\r\nSample Primary school show: <a title=\"Watch a preview of the show!\" href=\"http://www.youtube.com/watch?v=AInFpt026ks\"> Watch a preview of the show!</a>\r\n\r\n&nbsp;\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-105\" alt=\"ASPIRATIONS_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations! “Yes we can!”</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for KS2 with a follow-up lesson for the older pupils.\r\n\r\nA powerful, creative, highly inspirational and totally life changing show!\r\n\r\nMarc &amp; Kevin’s Aspirations Podcast: <a href=\"http://www.youtube.com/watch?v=qchxtl_UBlI\">Watch Video</a>\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-104\" alt=\"ASPIRATIONS_SECONDARY_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SECONDARY_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations (For Secondary Schools)</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for secondary school PSE assembly and workshops.\r\n\r\nA powerful, creative, highly inspirational and totally life changing day!\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "Schools", "", "inherit", "open", "open", "", "12-revision-v1", "", "", "2013-08-10 08:07:54", "2013-08-10 08:07:54", "", "12", "http://goyb.raycreative.com/12-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("111", "1", "2013-08-10 08:08:20", "2013-08-10 08:08:20", "Welcome to WordPress. This is your first post. Edit or delete it, then start blogging!", "Hello world!", "", "inherit", "open", "open", "", "1-revision-v1", "", "", "2013-08-10 08:08:20", "2013-08-10 08:08:20", "", "1", "http://goyb.raycreative.com/1-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("112", "1", "2013-08-10 08:08:53", "2013-08-10 08:08:53", "<div>When puppets dare to dream!</div>\r\n<div></div>\r\n<div>Marc and his puppets love to GET OUT THEIR BOX and live their dreams!</div>\r\n<div></div>\r\n<div>Where is Kevin in the World today? Join our family. Let us inspire you. Share your dreams!</div>", "Puppet Dreaming", "", "trash", "open", "open", "", "puppet-dreaming", "", "", "2013-08-10 17:55:21", "2013-08-10 17:55:21", "", "0", "http://goyb.raycreative.com/?p=112", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("113", "1", "2013-08-10 08:08:53", "2013-08-10 08:08:53", "<div>When puppets dare to dream!</div>\r\n<div></div>\r\n<div>Marc and his puppets love to GET OUT THEIR BOX and live their dreams!</div>\r\n<div></div>\r\n<div>Where is Kevin in the World today? Join our family. Let us inspire you. Share your dreams!</div>\r\n<div></div>\r\n<a href=\"http://www.youtube.com/watch?v=qchxtl_UBlI\" target=\"_blank\">http://www.youtube.com/watch?<wbr />v=qchxtl_UBlI</a>", "Puppet Dreaming", "", "inherit", "open", "open", "", "112-revision-v1", "", "", "2013-08-10 08:08:53", "2013-08-10 08:08:53", "", "112", "http://goyb.raycreative.com/112-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("114", "1", "2013-08-10 08:11:17", "2013-08-10 08:11:17", "<div>When puppets dare to dream!</div>\r\n<div></div>\r\n<div>Marc and his puppets love to GET OUT THEIR BOX and live their dreams!</div>\r\n<div></div>\r\n<div>Where is Kevin in the World today? Join our family. Let us inspire you. Share your dreams!</div>", "Puppet Dreaming", "", "inherit", "open", "open", "", "112-autosave-v1", "", "", "2013-08-10 08:11:17", "2013-08-10 08:11:17", "", "112", "http://goyb.raycreative.com/112-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("115", "1", "2013-08-10 08:11:26", "2013-08-10 08:11:26", "<div>When puppets dare to dream!</div>\r\n<div></div>\r\n<div>Marc and his puppets love to GET OUT THEIR BOX and live their dreams!</div>\r\n<div></div>\r\n<div>Where is Kevin in the World today? Join our family. Let us inspire you. Share your dreams!</div>", "Puppet Dreaming", "", "inherit", "open", "open", "", "112-revision-v1", "", "", "2013-08-10 08:11:26", "2013-08-10 08:11:26", "", "112", "http://goyb.raycreative.com/112-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("116", "1", "2013-08-10 08:12:23", "2013-08-10 08:12:23", "", "You are BEAUTIFUL! ", "", "trash", "open", "open", "", "you-are-beautiful", "", "", "2013-08-10 17:55:21", "2013-08-10 17:55:21", "", "0", "http://goyb.raycreative.com/?p=116", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("117", "1", "2013-08-10 08:12:23", "2013-08-10 08:12:23", "", "You are BEAUTIFUL! ", "", "inherit", "open", "open", "", "116-revision-v1", "", "", "2013-08-10 08:12:23", "2013-08-10 08:12:23", "", "116", "http://goyb.raycreative.com/116-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("118", "1", "2013-08-10 08:13:24", "2013-08-10 08:13:24", "Watch a preview of  \'Get out Your Box\' Episode 3", "\'Get out Your Box\' Episode 3", "", "trash", "open", "open", "", "get-out-your-box-episode-3", "", "", "2013-08-10 17:55:21", "2013-08-10 17:55:21", "", "0", "http://goyb.raycreative.com/?p=118", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("119", "1", "2013-08-10 08:13:24", "2013-08-10 08:13:24", "Watch a preview of  \'Get out Your Box\' Episode 3", "\'Get out Your Box\' Episode 3", "", "inherit", "open", "open", "", "118-revision-v1", "", "", "2013-08-10 08:13:24", "2013-08-10 08:13:24", "", "118", "http://goyb.raycreative.com/118-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("120", "1", "2013-08-10 08:16:29", "2013-08-10 08:16:29", "<div class=\"clearfix\"><img class=\"alignright size-full wp-image-95\" alt=\"contact-marc\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/contact-marc.png\" width=\"144\" height=\"205\" />\r\n<img class=\"alignleft  wp-image-96\" alt=\"Doggy_Cutout1\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/Doggy_Cutout1-214x300.png\" width=\"171\" height=\"240\" />Feel free to email <a href=\"mailto: Info@getoutyourbox.com\">Info@getoutyourbox.com</a> or you can fill out the form below!</div>", "Contact", "", "inherit", "open", "open", "", "16-autosave-v1", "", "", "2013-08-10 08:16:29", "2013-08-10 08:16:29", "", "16", "http://goyb.raycreative.com/16-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("121", "1", "2013-08-10 08:17:13", "2013-08-10 08:17:13", "<div class=\"clearfix\"><img class=\"alignright size-full wp-image-95\" alt=\"contact-marc\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/contact-marc.png\" width=\"144\" height=\"205\" />\r\n<img class=\"alignleft  wp-image-96\" alt=\"Doggy_Cutout1\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/Doggy_Cutout1-214x300.png\" width=\"171\" height=\"240\" />Feel free to email <a href=\"mailto: Info@getoutyourbox.com\">Info@getoutyourbox.com</a> or you can fill out the form below!</div>", "Contact", "", "inherit", "open", "open", "", "16-revision-v1", "", "", "2013-08-10 08:17:13", "2013-08-10 08:17:13", "", "16", "http://goyb.raycreative.com/16-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("122", "1", "2013-08-10 16:36:14", "2013-08-10 16:36:14", "<p class=\"page-caption\" style=\"text-align: center;\"><img class=\"size-full wp-image-37 aligncenter\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\" width=\"700\" height=\"304\" /></p>\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\n<p class=\"page-caption\">Take a peek at <a href=\"http://www.youtube.com/watch?v=4-l_wqmKRMI\">the promo</a> or <a title=\"Contact\" href=\"http://goyb.raycreative.com/contact/\">get in touch</a> to book!</p>\n<p class=\"page-caption\" style=\"text-align: center;\"><img class=\"aligncenter size-full wp-image-38\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL-e1376152462661.png\" width=\"700\" height=\"409\" /></p>\n\n<div class=\"homepagequotes clearfix\">[quoteRotator title=\"Testimonials\" delay=\"6\" fade=\"2\" fadeout=\"2\"]</div>", "Home", "", "inherit", "open", "open", "", "5-autosave-v1", "", "", "2013-08-10 16:36:14", "2013-08-10 16:36:14", "", "5", "http://goyb.raycreative.com/5-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("123", "1", "2013-08-10 16:30:24", "2013-08-10 16:30:24", "<p class=\"page-caption\" style=\"text-align: center;\"><img class=\"size-full wp-image-37 aligncenter\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\" width=\"700\" height=\"304\" /></p>\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at <a href=\"http://www.youtube.com/watch?v=4-l_wqmKRMI\">the promo</a> or <a title=\"Contact\" href=\"http://goyb.raycreative.com/contact/\">get in touch</a> to book!</p>\r\n<p class=\"page-caption\" style=\"text-align: center;\"><img class=\"aligncenter  wp-image-38\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL.png\" width=\"596\" height=\"349\" /></p>\r\n\r\n<div class=\"homepagequotes clearfix\">[quoteRotator title=\"Testimonials\" delay=\"6\" fade=\"2\" fadeout=\"2\"]</div>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-10 16:30:24", "2013-08-10 16:30:24", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("124", "1", "2013-08-10 16:35:11", "2013-08-10 16:35:11", "<p class=\"page-caption\" style=\"text-align: center;\"><img class=\"size-full wp-image-37 aligncenter\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-e1375564547204.png\" width=\"700\" height=\"304\" /></p>\r\n<p class=\"page-caption\">Communicating affirmation, aspiration and adventure! Inspiring children to be awesome!\r\nHilarious school assemblies &amp; inspirational DVD resources. National Award winner!</p>\r\n<p class=\"page-caption\">Take a peek at <a href=\"http://www.youtube.com/watch?v=4-l_wqmKRMI\">the promo</a> or <a title=\"Contact\" href=\"http://goyb.raycreative.com/contact/\">get in touch</a> to book!</p>\r\n<p class=\"page-caption\" style=\"text-align: center;\"><img class=\"aligncenter size-full wp-image-38\" alt=\"WorldsNumberOne_FINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/WorldsNumberOne_FINAL-e1376152462661.png\" width=\"700\" height=\"409\" /></p>\r\n\r\n<div class=\"homepagequotes clearfix\">[quoteRotator title=\"Testimonials\" delay=\"6\" fade=\"2\" fadeout=\"2\"]</div>", "Home", "", "inherit", "open", "open", "", "5-revision-v1", "", "", "2013-08-10 16:35:11", "2013-08-10 16:35:11", "", "5", "http://goyb.raycreative.com/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("125", "1", "2013-08-10 16:37:46", "2013-08-10 16:37:46", "<img class=\"alignright  wp-image-50\" alt=\"7GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/7GoldLivePhotos_resized-500x333.jpg\" width=\"400\" height=\"266\" />\r\n\r\nChildren need more <strong>AFFIRMATION</strong>, more <strong>ASPIRATION</strong> and, as the Archbishop of Canterbury once encouraged me, more <strong>ADVENTURE</strong>!\r\n\r\nMy puppets love getting out their box and inspiring children to live amazing lives!\r\n\r\nWould you like your children to achieve better results? Would you like happier children and a happier school?\r\n\r\nWhy not own our inspirational DVDs for wet break, family time or an assembly? Or book us for a live event?\r\n\r\nI can\'t wait to bring my puppet family to meet your amazing children!\r\n\r\nMarc\r\n\r\n<img class=\"alignnone size-medium wp-image-37\" alt=\"MarcGriffithsNameGraphicFINAL\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarcGriffithsNameGraphicFINAL-300x130.png\" width=\"300\" height=\"130\" />\r\n\r\n&nbsp;\r\n\r\n<hr />\r\n\r\n&nbsp;\r\n<h2>Marc working with children in the Philippines:</h2>\r\n<iframe width=\"560\" height=\"315\" src=\"//www.youtube.com/embed/ZCByTrzxIBo?rel=0\" frameborder=\"0\" allowfullscreen></iframe>", "My Message", "", "inherit", "open", "open", "", "10-revision-v1", "", "", "2013-08-10 16:37:46", "2013-08-10 16:37:46", "", "10", "http://goyb.raycreative.com/10-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("126", "1", "2013-08-10 16:39:22", "2013-08-10 16:39:22", "", "Vlog", "", "inherit", "open", "open", "", "14-revision-v1", "", "", "2013-08-10 16:39:22", "2013-08-10 16:39:22", "", "14", "http://goyb.raycreative.com/14-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("127", "1", "2013-08-10 17:01:12", "2013-08-10 17:01:12", "<img class=\"size-large wp-image-94 alignleft\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" style=\"position: relative;\r\ntop: -176px;\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n\r\n&nbsp;\r\n<h1></h1>\r\n<h1></h1>\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h1></h1>\r\n<h1></h1>\r\n<h1>AWARDS:<img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\nHe has won numerous awards for his work:\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 17:01:12", "2013-08-10 17:01:12", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("128", "1", "2013-08-10 17:02:35", "2013-08-10 17:02:35", "<img class=\"size-large wp-image-94 alignleft\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" style=\"position: relative; top: -176px;\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n\r\n&nbsp;\r\n<h1></h1>\r\n<h1></h1>\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h1></h1>\r\n<h1></h1>\r\n<h1>AWARDS:<img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\nHe has won numerous awards for his work:\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 17:02:35", "2013-08-10 17:02:35", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("129", "1", "2013-08-10 17:06:07", "2013-08-10 17:06:07", "<img class=\"size-large wp-image-94 alignleft\" style=\"position: relative; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n\r\n<h1>AWARDS:<img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\nHe has won numerous awards for his work:\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 17:06:07", "2013-08-10 17:06:07", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("130", "1", "2013-08-10 17:06:36", "2013-08-10 17:06:36", "<img class=\"size-large wp-image-94 alignleft\" style=\"position: relative; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n<h1></h1>\r\n<h1></h1>\r\n<h1>AWARDS:<img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\nHe has won numerous awards for his work:\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 17:06:36", "2013-08-10 17:06:36", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("131", "1", "2013-08-10 17:07:02", "2013-08-10 17:07:02", "<img class=\"size-large wp-image-94 alignleft\" style=\"position: relative; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n<h1></h1>\r\n<h1></h1>\r\n&nbsp;\r\n<h1>AWARDS:<img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\nHe has won numerous awards for his work:\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 17:07:02", "2013-08-10 17:07:02", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("132", "1", "2013-08-10 17:07:38", "2013-08-10 17:07:38", "<img class=\"size-large wp-image-94 alignleft\" style=\"position: relative; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n<h1></h1>\r\n<h1></h1>\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h1>AWARDS:<img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\nHe has won numerous awards for his work:\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 17:07:38", "2013-08-10 17:07:38", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("133", "1", "2013-08-10 17:07:50", "2013-08-10 17:07:50", "<img class=\"size-large wp-image-94 alignleft\" style=\"position: relative; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n<h1></h1>\r\n<h1></h1>\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h1></h1>\r\n<h1>AWARDS:<img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\nHe has won numerous awards for his work:\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 17:07:50", "2013-08-10 17:07:50", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("134", "1", "2013-08-10 17:08:05", "2013-08-10 17:08:05", "<img class=\"size-large wp-image-94 alignleft\" style=\"position: relative; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n<h1></h1>\r\n<h1></h1>\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h1></h1>\r\n<h1></h1>\r\n<h1>AWARDS:<img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\nHe has won numerous awards for his work:\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 17:08:05", "2013-08-10 17:08:05", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("135", "1", "2013-08-10 17:09:01", "2013-08-10 17:09:01", "<img class=\"size-large wp-image-94 alignright\" style=\"position: relative; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n<h1></h1>\r\n<h1></h1>\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h1></h1>\r\n<h1></h1>\r\n<h1>AWARDS:</h1>\r\nHe has won numerous awards for his work:\r\n<h1><br class=\"Apple-interchange-newline\" /><img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 17:09:01", "2013-08-10 17:09:01", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("136", "1", "2013-08-10 17:10:04", "2013-08-10 17:10:04", "<img class=\"size-large wp-image-94 alignright\" style=\"position: relative; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n<h1></h1>\r\n<h1></h1>\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h1>AWARDS:</h1>\r\nHe has won numerous awards for his work:\r\n<h1><img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 17:10:04", "2013-08-10 17:10:04", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("137", "1", "2013-08-10 17:10:48", "2013-08-10 17:10:48", "<img class=\"size-large wp-image-94 alignleft\" style=\"position: relative; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n<h1></h1>\r\n<h1></h1>\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h1>AWARDS:</h1>\r\nHe has won numerous awards for his work:\r\n<h1><img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 17:10:48", "2013-08-10 17:10:48", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("138", "1", "2013-08-10 17:11:28", "2013-08-10 17:11:28", "<img class=\"size-large wp-image-94 alignleft\" style=\"position: relative; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n<h1></h1>\r\n<h1></h1>\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h1 style=\"text-align: left;\">AWARDS:</h1>\r\nHe has won numerous awards for his work:\r\n<h1><img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 17:11:28", "2013-08-10 17:11:28", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("139", "1", "2013-08-10 17:12:16", "2013-08-10 17:12:16", "<img class=\"size-large wp-image-94 alignleft\" style=\"position: relative; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n&nbsp;\r\n&nbsp;\r\n&nbsp;\r\n<h1 style=\"text-align: left; clear: left;\">AWARDS:</h1>\r\nHe has won numerous awards for his work:\r\n<h1><img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 17:12:16", "2013-08-10 17:12:16", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("140", "1", "2013-08-10 17:12:34", "2013-08-10 17:12:34", "<img class=\"size-large wp-image-94 alignleft\" style=\"position: relative; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" />Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children!\r\n\r\nHe has spoken to well over a million children.\r\n\r\nHis puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message.\r\n\r\nMarc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries!\r\n\r\n&nbsp;\r\n<h1 style=\"text-align: left; clear: left;\">AWARDS:</h1>\r\nHe has won numerous awards for his work:\r\n<h1><img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />\r\n\r\n&nbsp;", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-10 17:12:34", "2013-08-10 17:12:34", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("141", "1", "2013-08-10 17:19:18", "2013-08-10 17:19:18", "<strong>\'In my 26 years of being a head teacher that was the best thing that I have EVER had visit my school!\' (Head teacher, Cornwall)</strong>\r\n\r\nCurrent school assembly themes. Each show is approximately 40-minutes.\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-108 alignnone\" alt=\"I_AM_SPECIAL_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/I_AM_SPECIAL_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>I am Special</h2>\r\nKevin uses his ‘Good Choices Control’ and learns to take personal responsibility for his life. He can’t blame his pirate friends for his actions anymore. He learns to make good choices and believe how special he and others are.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis is a superb show that has visited over 1000 schools in Wales!\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-107 alignnone\" alt=\"GOLD_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/GOLD_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>GOLD</h2>\r\nGOLD is a fun, national award winning show, helping children understand who they are and how they work. Children identify with four animal behaviour types. They discover the GOLD in them and the GOLD in their friends.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis show has had astounding reviews from staff and head teachers. It won a national award. The DVD is used in leading UK children’s charities. You can watch a promo on the GOLD website. (the gold promo video pop up)\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-106\" alt=\"BULLYING_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/BULLYING_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Kevin’s Bullying Show pic</h2>\r\nKevin learns that he can make his school an amazing place! Children learn what bullying is, what to do if it happens to them and what to do if they see someone else being bullied. Kevin learns how to deal with a cyberbully and realises everyone is special.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\n‘My whole year 6 changed after they watched the show!’ (Head teacher, Cardiff)\r\n\r\nSample Primary school show: <a title=\"Watch a preview of the show!\" href=\"http://www.youtube.com/watch?v=AInFpt026ks\"> Watch a preview of the show!</a>\r\n\r\n&nbsp;\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-105\" alt=\"ASPIRATIONS_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations! “Yes we can!”</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for KS2 with a follow-up lesson for the older pupils.\r\n\r\nA powerful, creative, highly inspirational and totally life changing show!\r\n\r\nMarc &amp; Kevin’s Aspirations Podcast: <a href=\"http://www.youtube.com/watch?v=qchxtl_UBlI\">Watch Video</a>\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-104\" alt=\"ASPIRATIONS_SECONDARY_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SECONDARY_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations (For Secondary Schools)</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for secondary school PSE assembly and workshops.\r\n\r\nA powerful, creative, highly inspirational and totally life changing day!\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "Schools", "", "inherit", "open", "open", "", "12-revision-v1", "", "", "2013-08-10 17:19:18", "2013-08-10 17:19:18", "", "12", "http://goyb.raycreative.com/12-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("142", "1", "2013-08-10 17:20:13", "2013-08-10 17:20:13", "\r\n<blockquote>\'In my 26 years of being a head teacher that was the best thing that I have EVER had visit my school!\' (Head teacher, Cornwall)</blockquote>\r\n\r\nCurrent school assembly themes. Each show is approximately 40-minutes.\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-108 alignnone\" alt=\"I_AM_SPECIAL_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/I_AM_SPECIAL_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>I am Special</h2>\r\nKevin uses his ‘Good Choices Control’ and learns to take personal responsibility for his life. He can’t blame his pirate friends for his actions anymore. He learns to make good choices and believe how special he and others are.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis is a superb show that has visited over 1000 schools in Wales!\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-107 alignnone\" alt=\"GOLD_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/GOLD_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>GOLD</h2>\r\nGOLD is a fun, national award winning show, helping children understand who they are and how they work. Children identify with four animal behaviour types. They discover the GOLD in them and the GOLD in their friends.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis show has had astounding reviews from staff and head teachers. It won a national award. The DVD is used in leading UK children’s charities. You can watch a promo on the GOLD website. (the gold promo video pop up)\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-106\" alt=\"BULLYING_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/BULLYING_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Kevin’s Bullying Show pic</h2>\r\nKevin learns that he can make his school an amazing place! Children learn what bullying is, what to do if it happens to them and what to do if they see someone else being bullied. Kevin learns how to deal with a cyberbully and realises everyone is special.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\n‘My whole year 6 changed after they watched the show!’ (Head teacher, Cardiff)\r\n\r\nSample Primary school show: <a title=\"Watch a preview of the show!\" href=\"http://www.youtube.com/watch?v=AInFpt026ks\"> Watch a preview of the show!</a>\r\n\r\n&nbsp;\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-105\" alt=\"ASPIRATIONS_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations! “Yes we can!”</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for KS2 with a follow-up lesson for the older pupils.\r\n\r\nA powerful, creative, highly inspirational and totally life changing show!\r\n\r\nMarc &amp; Kevin’s Aspirations Podcast: <a href=\"http://www.youtube.com/watch?v=qchxtl_UBlI\">Watch Video</a>\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-104\" alt=\"ASPIRATIONS_SECONDARY_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SECONDARY_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations (For Secondary Schools)</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for secondary school PSE assembly and workshops.\r\n\r\nA powerful, creative, highly inspirational and totally life changing day!\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "Schools", "", "inherit", "open", "open", "", "12-revision-v1", "", "", "2013-08-10 17:20:13", "2013-08-10 17:20:13", "", "12", "http://goyb.raycreative.com/12-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("143", "1", "2013-08-10 17:20:44", "2013-08-10 17:20:44", "<blockquote>\'In my 26 years of being a head teacher that was the best thing that I have EVER had visit my school!\'\r\n- (Head teacher, Cornwall)</blockquote>\r\n\r\nCurrent school assembly themes. Each show is approximately 40-minutes.\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-108 alignnone\" alt=\"I_AM_SPECIAL_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/I_AM_SPECIAL_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>I am Special</h2>\r\nKevin uses his ‘Good Choices Control’ and learns to take personal responsibility for his life. He can’t blame his pirate friends for his actions anymore. He learns to make good choices and believe how special he and others are.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis is a superb show that has visited over 1000 schools in Wales!\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-107 alignnone\" alt=\"GOLD_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/GOLD_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>GOLD</h2>\r\nGOLD is a fun, national award winning show, helping children understand who they are and how they work. Children identify with four animal behaviour types. They discover the GOLD in them and the GOLD in their friends.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis show has had astounding reviews from staff and head teachers. It won a national award. The DVD is used in leading UK children’s charities. You can watch a promo on the GOLD website. (the gold promo video pop up)\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-106\" alt=\"BULLYING_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/BULLYING_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Kevin’s Bullying Show pic</h2>\r\nKevin learns that he can make his school an amazing place! Children learn what bullying is, what to do if it happens to them and what to do if they see someone else being bullied. Kevin learns how to deal with a cyberbully and realises everyone is special.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\n‘My whole year 6 changed after they watched the show!’ (Head teacher, Cardiff)\r\n\r\nSample Primary school show: <a title=\"Watch a preview of the show!\" href=\"http://www.youtube.com/watch?v=AInFpt026ks\"> Watch a preview of the show!</a>\r\n\r\n&nbsp;\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-105\" alt=\"ASPIRATIONS_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations! “Yes we can!”</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for KS2 with a follow-up lesson for the older pupils.\r\n\r\nA powerful, creative, highly inspirational and totally life changing show!\r\n\r\nMarc &amp; Kevin’s Aspirations Podcast: <a href=\"http://www.youtube.com/watch?v=qchxtl_UBlI\">Watch Video</a>\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-104\" alt=\"ASPIRATIONS_SECONDARY_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SECONDARY_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations (For Secondary Schools)</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for secondary school PSE assembly and workshops.\r\n\r\nA powerful, creative, highly inspirational and totally life changing day!\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "Schools", "", "inherit", "open", "open", "", "12-revision-v1", "", "", "2013-08-10 17:20:44", "2013-08-10 17:20:44", "", "12", "http://goyb.raycreative.com/12-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("144", "1", "2013-08-10 17:22:07", "2013-08-10 17:22:07", "<p style=\"font-size: 1.2em\">\'In my 26 years of being a head teacher that was the best thing that I have EVER had visit my school!\'\r\n- (Head teacher, Cornwall)</p>\r\n\r\nCurrent school assembly themes. Each show is approximately 40-minutes.\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-108 alignnone\" alt=\"I_AM_SPECIAL_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/I_AM_SPECIAL_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>I am Special</h2>\r\nKevin uses his ‘Good Choices Control’ and learns to take personal responsibility for his life. He can’t blame his pirate friends for his actions anymore. He learns to make good choices and believe how special he and others are.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis is a superb show that has visited over 1000 schools in Wales!\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-107 alignnone\" alt=\"GOLD_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/GOLD_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>GOLD</h2>\r\nGOLD is a fun, national award winning show, helping children understand who they are and how they work. Children identify with four animal behaviour types. They discover the GOLD in them and the GOLD in their friends.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis show has had astounding reviews from staff and head teachers. It won a national award. The DVD is used in leading UK children’s charities. You can watch a promo on the GOLD website. (the gold promo video pop up)\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-106\" alt=\"BULLYING_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/BULLYING_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Kevin’s Bullying Show pic</h2>\r\nKevin learns that he can make his school an amazing place! Children learn what bullying is, what to do if it happens to them and what to do if they see someone else being bullied. Kevin learns how to deal with a cyberbully and realises everyone is special.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\n‘My whole year 6 changed after they watched the show!’ (Head teacher, Cardiff)\r\n\r\nSample Primary school show: <a title=\"Watch a preview of the show!\" href=\"http://www.youtube.com/watch?v=AInFpt026ks\"> Watch a preview of the show!</a>\r\n\r\n&nbsp;\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-105\" alt=\"ASPIRATIONS_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations! “Yes we can!”</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for KS2 with a follow-up lesson for the older pupils.\r\n\r\nA powerful, creative, highly inspirational and totally life changing show!\r\n\r\nMarc &amp; Kevin’s Aspirations Podcast: <a href=\"http://www.youtube.com/watch?v=qchxtl_UBlI\">Watch Video</a>\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-104\" alt=\"ASPIRATIONS_SECONDARY_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SECONDARY_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations (For Secondary Schools)</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for secondary school PSE assembly and workshops.\r\n\r\nA powerful, creative, highly inspirational and totally life changing day!\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "Schools", "", "inherit", "open", "open", "", "12-revision-v1", "", "", "2013-08-10 17:22:07", "2013-08-10 17:22:07", "", "12", "http://goyb.raycreative.com/12-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("145", "1", "2013-08-10 17:22:27", "2013-08-10 17:22:27", "<p style=\"font-size: 1.12em\">\'In my 26 years of being a head teacher that was the best thing that I have EVER had visit my school!\'\r\n- (Head teacher, Cornwall)</p>\r\n\r\nCurrent school assembly themes. Each show is approximately 40-minutes.\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-108 alignnone\" alt=\"I_AM_SPECIAL_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/I_AM_SPECIAL_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>I am Special</h2>\r\nKevin uses his ‘Good Choices Control’ and learns to take personal responsibility for his life. He can’t blame his pirate friends for his actions anymore. He learns to make good choices and believe how special he and others are.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis is a superb show that has visited over 1000 schools in Wales!\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-107 alignnone\" alt=\"GOLD_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/GOLD_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>GOLD</h2>\r\nGOLD is a fun, national award winning show, helping children understand who they are and how they work. Children identify with four animal behaviour types. They discover the GOLD in them and the GOLD in their friends.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis show has had astounding reviews from staff and head teachers. It won a national award. The DVD is used in leading UK children’s charities. You can watch a promo on the GOLD website. (the gold promo video pop up)\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-106\" alt=\"BULLYING_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/BULLYING_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Kevin’s Bullying Show pic</h2>\r\nKevin learns that he can make his school an amazing place! Children learn what bullying is, what to do if it happens to them and what to do if they see someone else being bullied. Kevin learns how to deal with a cyberbully and realises everyone is special.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\n‘My whole year 6 changed after they watched the show!’ (Head teacher, Cardiff)\r\n\r\nSample Primary school show: <a title=\"Watch a preview of the show!\" href=\"http://www.youtube.com/watch?v=AInFpt026ks\"> Watch a preview of the show!</a>\r\n\r\n&nbsp;\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-105\" alt=\"ASPIRATIONS_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations! “Yes we can!”</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for KS2 with a follow-up lesson for the older pupils.\r\n\r\nA powerful, creative, highly inspirational and totally life changing show!\r\n\r\nMarc &amp; Kevin’s Aspirations Podcast: <a href=\"http://www.youtube.com/watch?v=qchxtl_UBlI\">Watch Video</a>\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-104\" alt=\"ASPIRATIONS_SECONDARY_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SECONDARY_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations (For Secondary Schools)</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for secondary school PSE assembly and workshops.\r\n\r\nA powerful, creative, highly inspirational and totally life changing day!\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "Schools", "", "inherit", "open", "open", "", "12-revision-v1", "", "", "2013-08-10 17:22:27", "2013-08-10 17:22:27", "", "12", "http://goyb.raycreative.com/12-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("146", "1", "2013-08-10 17:23:37", "2013-08-10 17:23:37", "<p style=\"font-size: 16px; line-height: 21px;\">\'In my 26 years of being a head teacher that was the best thing that I have EVER had visit my school!\'\r\n- (Head teacher, Cornwall)</p>\r\n\r\nCurrent school assembly themes. Each show is approximately 40-minutes.\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-108 alignnone\" alt=\"I_AM_SPECIAL_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/I_AM_SPECIAL_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>I am Special</h2>\r\nKevin uses his ‘Good Choices Control’ and learns to take personal responsibility for his life. He can’t blame his pirate friends for his actions anymore. He learns to make good choices and believe how special he and others are.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis is a superb show that has visited over 1000 schools in Wales!\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-107 alignnone\" alt=\"GOLD_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/GOLD_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>GOLD</h2>\r\nGOLD is a fun, national award winning show, helping children understand who they are and how they work. Children identify with four animal behaviour types. They discover the GOLD in them and the GOLD in their friends.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis show has had astounding reviews from staff and head teachers. It won a national award. The DVD is used in leading UK children’s charities. You can watch a promo on the GOLD website. (the gold promo video pop up)\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-106\" alt=\"BULLYING_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/BULLYING_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Kevin’s Bullying Show pic</h2>\r\nKevin learns that he can make his school an amazing place! Children learn what bullying is, what to do if it happens to them and what to do if they see someone else being bullied. Kevin learns how to deal with a cyberbully and realises everyone is special.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\n‘My whole year 6 changed after they watched the show!’ (Head teacher, Cardiff)\r\n\r\nSample Primary school show: <a title=\"Watch a preview of the show!\" href=\"http://www.youtube.com/watch?v=AInFpt026ks\"> Watch a preview of the show!</a>\r\n\r\n&nbsp;\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-105\" alt=\"ASPIRATIONS_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations! “Yes we can!”</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for KS2 with a follow-up lesson for the older pupils.\r\n\r\nA powerful, creative, highly inspirational and totally life changing show!\r\n\r\nMarc &amp; Kevin’s Aspirations Podcast: <a href=\"http://www.youtube.com/watch?v=qchxtl_UBlI\">Watch Video</a>\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-104\" alt=\"ASPIRATIONS_SECONDARY_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SECONDARY_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations (For Secondary Schools)</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for secondary school PSE assembly and workshops.\r\n\r\nA powerful, creative, highly inspirational and totally life changing day!\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "Schools", "", "inherit", "open", "open", "", "12-revision-v1", "", "", "2013-08-10 17:23:37", "2013-08-10 17:23:37", "", "12", "http://goyb.raycreative.com/12-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("147", "1", "2013-08-10 17:25:12", "2013-08-10 17:25:12", "<p style=\"font-size: 16px; line-height: 21px;\">\'In my 26 years of being a head teacher that was the best thing that I have EVER had visit my school!\'\r\n- (Head teacher, Cornwall)</p>\r\nCurrent school assembly themes. Each show is approximately 40-minutes.\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-108 alignnone\" alt=\"I_AM_SPECIAL_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/I_AM_SPECIAL_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>I am Special</h2>\r\nKevin uses his ‘Good Choices Control’ and learns to take personal responsibility for his life. He can’t blame his pirate friends for his actions anymore. He learns to make good choices and believe how special he and others are.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis is a superb show that has visited over 1000 schools in Wales!\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"size-full wp-image-107 alignnone\" alt=\"GOLD_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/GOLD_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>GOLD</h2>\r\nGOLD is a fun, national award winning show, helping children understand who they are and how they work. Children identify with four animal behaviour types. They discover the GOLD in them and the GOLD in their friends.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\nThis show has had astounding reviews from staff and head teachers. It won a national award. The DVD is used in leading UK children’s charities. You can watch a promo on the GOLD website. <a href=\"http://www.goldinme.com\">Visit the GOLD site!</a><a href=\"http://www.goldinme.com\">\r\n</a>\r\n\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-106\" alt=\"BULLYING_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/BULLYING_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Kevin’s Bullying Show pic</h2>\r\nKevin learns that he can make his school an amazing place! Children learn what bullying is, what to do if it happens to them and what to do if they see someone else being bullied. Kevin learns how to deal with a cyberbully and realises everyone is special.\r\n\r\nAvailable for Foundation Phase &amp; KS2 school assemblies.\r\n\r\n‘My whole year 6 changed after they watched the show!’ (Head teacher, Cardiff)\r\n\r\nSample Primary school show: <a title=\"Watch a preview of the show!\" href=\"http://www.youtube.com/watch?v=AInFpt026ks\"> Watch a preview of the show!</a>\r\n\r\n&nbsp;\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-105\" alt=\"ASPIRATIONS_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations! “Yes we can!”</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for KS2 with a follow-up lesson for the older pupils.\r\n\r\nA powerful, creative, highly inspirational and totally life changing show!\r\n\r\nMarc &amp; Kevin’s Aspirations Podcast: <a href=\"http://www.youtube.com/watch?v=qchxtl_UBlI\">Watch Video</a>\r\n[/zilla_two_third_last]\r\n\r\n[zilla_one_fifth]\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone size-full wp-image-104\" alt=\"ASPIRATIONS_SECONDARY_SHOW_Web_Image\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/ASPIRATIONS_SECONDARY_SHOW_Web_Image.png\" width=\"158\" height=\"108\" />\r\n\r\n[/zilla_one_fifth]\r\n\r\n[zilla_two_third_last]\r\n<h2>Aspirations (For Secondary Schools)</h2>\r\nBy changing his attitude, by changing the way he thinks, by believing he can, and by choosing to work hard, Kevin realises his future is in his hands. He learns he can have aspirations and hope for an amazing future!\r\n\r\nAvailable for secondary school PSE assembly and workshops.\r\n\r\nA powerful, creative, highly inspirational and totally life changing day!\r\n\r\n[/zilla_two_third_last]\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;", "Schools", "", "inherit", "open", "open", "", "12-revision-v1", "", "", "2013-08-10 17:25:12", "2013-08-10 17:25:12", "", "12", "http://goyb.raycreative.com/12-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("148", "1", "2013-08-10 17:33:58", "2013-08-10 17:33:58", "Marc takes Kevin to the Yorkshire Moors where they have a STRANGE adventure!<br /><br />HAPPYJOY is found within!!<br /><br />See <!--more--> more at www.getoutyourbox.tv", "Kevin\'s ALIEN ADVENTURE!", "", "publish", "open", "open", "", "kevins-alien-adventure", "", "", "2013-08-10 17:33:58", "2013-08-10 17:33:58", "", "0", "http://goyb.raycreative.com/kevins-alien-adventure/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("149", "1", "2013-08-10 17:35:16", "2013-08-10 17:35:16", "Kevin - motivational superstar!  <br /><br />Go for your dreams - let me inspire you!", "Kevin\'s EXCITING ADVENTURES!", "", "publish", "open", "open", "", "kevins-exciting-adventures", "", "", "2013-08-10 17:35:16", "2013-08-10 17:35:16", "", "0", "http://goyb.raycreative.com/kevins-exciting-adventures/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("150", "1", "2013-08-10 18:27:03", "2013-08-10 18:27:03", "TEST", "Vlog", "", "inherit", "open", "open", "", "14-revision-v1", "", "", "2013-08-10 18:27:03", "2013-08-10 18:27:03", "", "14", "http://goyb.raycreative.com/14-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("151", "1", "2013-08-10 17:38:08", "2013-08-10 17:38:08", "Marc Griffiths and the amazing Kevin go to Lake Baringo, Africa to film Episode 3 in their first \'Get Out <!--more--> Your Box\' children adventure series. <br />www.getoutyourbox.tv", "Kevin\'s CROCODILE ADVENTURE!", "", "publish", "open", "open", "", "kevins-crocodile-adventure", "", "", "2013-08-10 17:38:08", "2013-08-10 17:38:08", "", "0", "http://goyb.raycreative.com/kevins-crocodile-adventure/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("152", "1", "2013-08-10 17:38:08", "2013-08-10 17:38:08", "Inspirational ventriloquist, Marc Griffiths, and Kevin visit a country hall and discover the mystery of the Wadgers!<br />www.getoutyourbox.tv<br />www.goldinme.com", "KEVIN &amp; the WADGER ADVENTURE!", "", "publish", "open", "open", "", "kevin-the-wadger-adventure", "", "", "2013-08-10 17:38:08", "2013-08-10 17:38:08", "", "0", "http://goyb.raycreative.com/kevin-the-wadger-adventure/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("153", "1", "2013-08-10 17:40:40", "2013-08-10 17:40:40", "Inspirational Ventriloquist, Marc Griffiths and Kevin, inspire you to \'Get Out Your Box\' and live your dream!<br /><br />Education, inspiration <!--more--> and entertainment. Inspiring all children, aged 2-102, to live their dreams!<br /><br />www.getoutyourbox.tv", "LIVE YOUR DREAM!", "", "publish", "open", "open", "", "live-your-dream", "", "", "2013-08-10 17:40:40", "2013-08-10 17:40:40", "", "0", "http://goyb.raycreative.com/live-your-dream/", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("154", "1", "2013-08-20 05:08:13", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2013-08-20 05:08:13", "0000-00-00 00:00:00", "", "0", "http://goyb.raycreative.com/?p=154", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("155", "1", "2013-08-20 05:18:48", "2013-08-20 05:18:48", "  [zilla_one_third]<img class=\"size-large wp-image-94\" style=\"position: absolute; top: -176px;\" alt=\"MarkWithGorilla\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/MarkWithGorilla-373x500.png\" width=\"373\" height=\"500\" /> [/zilla_one_third] [zilla_two_third_last] Marc Griffiths is the World\'s number 1 inspirational ventriloquist to children! He has spoken to well over a million children. His puppets \'get out their box\' and go on inspirational adventures. In each adventure, whether that be in a live show, a book, a TV episode or on You Tube, the puppets have fun and bring an inspirational message. Marc also likes to get out his box and live his dreams. Among his achievements, he has swum with dolphins, performed on Britain\'s Got Talent, been a zookeeper, been a cowboy, built his own house three times, scored a goal at Manchester United, won a rugby trophy at Twickenham and adventured to over 60 countries! [/zilla_two_third_last] \r\n<h1 style=\"text-align: left; clear: left;\">AWARDS:</h1>\r\nHe has won numerous awards for his work:\r\n<h1><img class=\"size-large wp-image-51 alignright\" alt=\"6GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/6GoldLivePhotos_resized-500x333.jpg\" width=\"500\" height=\"333\" /></h1>\r\n<ul>\r\n	<li> Wales \'Young Entrepreneur\' - a National Award Winner</li>\r\n	<li>Gwynedd \'Young Entrepreneur\' Winner</li>\r\n	<li>LARIA National Educational Research Winner</li>\r\n	<li>New Media \'Best Children\'s TV programme\' Winner, USA, 2012</li>\r\n	<li>Mustard Seed GOLD National Award Winner 2012</li>\r\n	<li>Britain\'s Got Talent 2012</li>\r\n</ul>\r\n<img class=\"alignnone size-thumbnail wp-image-87\" alt=\"National_Award_Winner_DVD_SEAL-250\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/National_Award_Winner_DVD_SEAL-250-150x150.png\" width=\"150\" height=\"150\" />", "Who is?", "", "inherit", "open", "open", "", "8-revision-v1", "", "", "2013-08-20 05:18:48", "2013-08-20 05:18:48", "", "8", "http://goyb.raycreative.com/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("156", "1", "2013-08-20 05:27:53", "2013-08-20 05:27:53", "", "signature", "", "inherit", "open", "open", "", "signature", "", "", "2013-08-20 05:27:53", "2013-08-20 05:27:53", "", "10", "http://goyb.raycreative.com/wp-content/uploads/2013/08/signature.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("157", "1", "2013-08-20 05:28:07", "2013-08-20 05:28:07", "<img class=\"alignright  wp-image-50\" alt=\"7GoldLivePhotos_resized\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/7GoldLivePhotos_resized-500x333.jpg\" width=\"400\" height=\"266\" />\r\n\r\nChildren need more <strong>AFFIRMATION</strong>, more <strong>ASPIRATION</strong> and, as the Archbishop of Canterbury once encouraged me, more <strong>ADVENTURE</strong>!\r\n\r\nMy puppets love getting out their box and inspiring children to live amazing lives!\r\n\r\nWould you like your children to achieve better results? Would you like happier children and a happier school?\r\n\r\nWhy not own our inspirational DVDs for wet break, family time or an assembly? Or book us for a live event?\r\n\r\nI can\'t wait to bring my puppet family to meet your amazing children!\r\n\r\n<img class=\"size-full wp-image-156 alignnone\" alt=\"signature\" src=\"http://goyb.raycreative.com/wp-content/uploads/2013/08/signature.png\" width=\"355\" height=\"47\" />\r\n\r\n&nbsp;\r\n\r\n<hr />\r\n\r\n&nbsp;\r\n<h2>Marc working with children in the Philippines:</h2>\r\n<iframe src=\"//www.youtube.com/embed/ZCByTrzxIBo?rel=0\" height=\"315\" width=\"560\" allowfullscreen=\"\" frameborder=\"0\"></iframe>", "My Message", "", "inherit", "open", "open", "", "10-revision-v1", "", "", "2013-08-20 05:28:07", "2013-08-20 05:28:07", "", "10", "http://goyb.raycreative.com/10-revision-v1/", "0", "revision", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("1", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("19", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("20", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("21", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("22", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("23", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("24", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("25", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("112", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("112", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("116", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("116", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("118", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("118", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("148", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("149", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("151", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("152", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("153", "1", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("1", "1", "category", "", "0", "5");
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "nav_menu", "", "0", "7");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "post_format", "", "0", "0");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("1", "Uncategorized", "uncategorized", "0");
INSERT INTO `wp_terms` VALUES("2", "Main Menu", "main-menu", "0");
INSERT INTO `wp_terms` VALUES("3", "post-format-video", "post-format-video", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("2", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "nickname", "GOYBAdmin");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("7", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("8", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("9", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("10", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("11", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("12", "1", "dismissed_wp_pointers", "wp330_toolbar,wp330_saving_widgets,wp340_choose_image_from_library,wp340_customize_current_theme_link,wp350_media,wp360_revisions,wp360_locks");
INSERT INTO `wp_usermeta` VALUES("13", "1", "show_welcome_panel", "0");
INSERT INTO `wp_usermeta` VALUES("14", "1", "wp_dashboard_quick_press_last_post_id", "154");
INSERT INTO `wp_usermeta` VALUES("15", "1", "closedpostboxes_dashboard", "a:4:{i:0;s:24:\"dashboard_incoming_links\";i:1;s:17:\"dashboard_plugins\";i:2;s:17:\"dashboard_primary\";i:3;s:19:\"dashboard_secondary\";}");
INSERT INTO `wp_usermeta` VALUES("16", "1", "metaboxhidden_dashboard", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("17", "1", "managenav-menuscolumnshidden", "a:4:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";}");
INSERT INTO `wp_usermeta` VALUES("18", "1", "metaboxhidden_nav-menus", "a:5:{i:0;s:8:\"add-post\";i:1;s:13:\"add-portfolio\";i:2;s:12:\"add-post_tag\";i:3;s:15:\"add-post_format\";i:4;s:18:\"add-portfolio-type\";}");
INSERT INTO `wp_usermeta` VALUES("19", "1", "wp_user-settings", "libraryContent=browse&imgsize=full&hidetb=1&urlbutton=none&editor=tinymce&align=center&ed_size=221&wplink=1");
INSERT INTO `wp_usermeta` VALUES("20", "1", "wp_user-settings-time", "1376976482");
INSERT INTO `wp_usermeta` VALUES("21", "1", "nav_menu_recently_edited", "2");
INSERT INTO `wp_usermeta` VALUES("22", "1", "closedpostboxes_post", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("23", "1", "metaboxhidden_post", "a:11:{i:0;s:26:\"zilla-metabox-post-gallery\";i:1;s:24:\"zilla-metabox-post-quote\";i:2;s:23:\"zilla-metabox-post-link\";i:3;s:24:\"zilla-metabox-post-audio\";i:4;s:11:\"postexcerpt\";i:5;s:13:\"trackbacksdiv\";i:6;s:10:\"postcustom\";i:7;s:16:\"commentstatusdiv\";i:8;s:11:\"commentsdiv\";i:9;s:7:\"slugdiv\";i:10;s:9:\"authordiv\";}");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "GOYBAdmin", "$P$BMC1kOgFEhMF77yVsfWtJ5miUF399j.", "goybadmin", "david@raycreative.com", "", "2013-08-03 19:38:10", "", "0", "GOYBAdmin");

SET FOREIGN_KEY_CHECKS = 1;